Package org.eclipse.birt.report.model.api.elements

# Interface DesignChoiceConstants

public interface DesignChoiceConstants
This class collects commonly-used choice constants. These constants define the internal value of choices for several property choice constants.

See Also:
  - `ReportDesignConstants`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ACCESS_PERMISSION_ALLOW`
design constant: access permission allow
`static final String`
`ACCESS_PERMISSION_DISALLOW`
design constant: access permission disallow
`static final String`
`ACCESS_TYPE_LATEST`
design constant: access type latest
`static final String`
`ACCESS_TYPE_SPECIFIC_VERSION`
design constant: access type specific version
`static final String`
`ACCESS_TYPE_TRANSIENT`
design constant: access type transient
`static final String`
`ACTION_BOOKMARK_TYPE_BOOKMARK`
design constant: action bookmark type bookmark
`static final String`
`ACTION_BOOKMARK_TYPE_TOC`
design constant: action bookmark type toc
`static final String`
`ACTION_FORMAT_TYPE_HTML`
design constant: action format type html
`static final String`
`ACTION_FORMAT_TYPE_PDF`
design constant: action format type pdf
`static final String`
`ACTION_LINK_TYPE_BOOKMARK_LINK`
design constant: action link type bookmark link
`static final String`
`ACTION_LINK_TYPE_DRILL_THROUGH`
design constant: action link type drill through
`static final String`
`ACTION_LINK_TYPE_HYPERLINK`
design constant: action link type hyperlink
`static final String`
`ACTION_LINK_TYPE_NONE`
design constant: action link type none
`static final String`
`ACTION_TARGET_FILE_TYPE_REPORT_DESIGN`
design constant: action target file type report design
`static final String`
`ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT`
design constant: action target file type report document
`static final String`
`AGGREGATION_FUNCTION_AVERAGE`
design constant: aggregation function average
`static final String`
`AGGREGATION_FUNCTION_COUNT`
design constant: aggregation function count
`static final String`
`AGGREGATION_FUNCTION_COUNTDISTINCT`
design constant: aggregation function countdistinct
`static final String`
`AGGREGATION_FUNCTION_FIRST`
design constant: aggregation function first
`static final String`
`AGGREGATION_FUNCTION_IRR`
design constant: aggregation function irr
`static final String`
`AGGREGATION_FUNCTION_IS_BOTTOM_N`
design constant: aggregation function is bottom n
`static final String`
`AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT`
design constant: aggregation function is bottom n percent
`static final String`
`AGGREGATION_FUNCTION_IS_TOP_N`
design constant: aggregation function is top n
`static final String`
`AGGREGATION_FUNCTION_IS_TOP_N_PERCENT`
design constant: aggregation function is top n percent
`static final String`
`AGGREGATION_FUNCTION_LAST`
design constant: aggregation function last
`static final String`
`AGGREGATION_FUNCTION_MAX`
design constant: aggregation function max
`static final String`
`AGGREGATION_FUNCTION_MEDIAN`
design constant: aggregation function median
`static final String`
`AGGREGATION_FUNCTION_MIN`
design constant: aggregation function min
`static final String`
`AGGREGATION_FUNCTION_MIRR`
design constant: aggregation function mirr
`static final String`
`AGGREGATION_FUNCTION_MODE`
design constant: aggregation function mode
`static final String`
`AGGREGATION_FUNCTION_MOVINGAVE`
design constant: aggregation function movingave
`static final String`
`AGGREGATION_FUNCTION_NPV`
design constant: aggregation function npv
`static final String`
`AGGREGATION_FUNCTION_PERCENT_RANK`
design constant: aggregation function percent rank
`static final String`
`AGGREGATION_FUNCTION_PERCENT_SUM`
design constant: aggregation function percent sum
`static final String`
`AGGREGATION_FUNCTION_PERCENTILE`
design constant: aggregation function percentile
`static final String`
`AGGREGATION_FUNCTION_RANK`
design constant: aggregation function rank
`static final String`
`AGGREGATION_FUNCTION_RUNNINGCOUNT`
design constant: aggregation function runningcount
`static final String`
`AGGREGATION_FUNCTION_RUNNINGNPV`
design constant: aggregation function runningnpv
`static final String`
`AGGREGATION_FUNCTION_RUNNINGSUM`
design constant: aggregation function runningsum
`static final String`
`AGGREGATION_FUNCTION_STDDEV`
design constant: aggregation function stddev
`static final String`
`AGGREGATION_FUNCTION_SUM`
design constant: aggregation function sum
`static final String`
`AGGREGATION_FUNCTION_TOP_QUARTILE`
design constant: aggregation function top quartile
`static final String`
`AGGREGATION_FUNCTION_VARIANCE`
design constant: aggregation function variance
`static final String`
`AGGREGATION_FUNCTION_WEIGHTEDAVG`
design constant: aggregation function weightedavg
`static final String`
`ANALYSIS_TYPE_ATTRIBUTE`
design constant: analysis type attribute
`static final String`
`ANALYSIS_TYPE_AUTO`
Deprecated.
in 2.5.1: this choice is not supported
`static final String`
`ANALYSIS_TYPE_DETAIL`
Deprecated.
in 2.5.1: this choice is not supported
`static final String`
`ANALYSIS_TYPE_DIMENSION`
design constant: analysis type dimension
`static final String`
`ANALYSIS_TYPE_MEASURE`
design constant: analysis type measure
`static final String`
`ANALYSIS_TYPE_NONE`
Deprecated.
in 2.5.1: this choice is not supported
`static final String`
`AUTO_TEXT_PAGE_NUMBER`
design constant: auto text page number
`static final String`
`AUTO_TEXT_PAGE_NUMBER_UNFILTERED`
design constant: auto text page number unfiltered
`static final String`
`AUTO_TEXT_PAGE_VARIABLE`
design constant: auto text page variable
`static final String`
`AUTO_TEXT_TOTAL_PAGE`
design constant: auto text total page
`static final String`
`AUTO_TEXT_TOTAL_PAGE_UNFILTERED`
design constant: auto text total page unfiltered
`static final String`
`BACKGROUND_ATTACHMENT_FIXED`
design constant: background attachment fixed
`static final String`
`BACKGROUND_ATTACHMENT_SCROLL`
design constant: background attachment scroll
`static final String`
`BACKGROUND_POSITION_BOTTOM`
design constant: background position bottom
`static final String`
`BACKGROUND_POSITION_CENTER`
design constant: background position center
`static final String`
`BACKGROUND_POSITION_LEFT`
design constant: background position left
`static final String`
`BACKGROUND_POSITION_RIGHT`
design constant: background position right
`static final String`
`BACKGROUND_POSITION_TOP`
design constant: background position top
`static final String`
`BACKGROUND_REPEAT_NO_REPEAT`
design constant: background repeat no repeat
`static final String`
`BACKGROUND_REPEAT_REPEAT`
design constant: background repeat repeat
`static final String`
`BACKGROUND_REPEAT_REPEAT_X`
design constant: background repeat repeat x
`static final String`
`BACKGROUND_REPEAT_REPEAT_Y`
design constant: background repeat repeat y
`static final String`
`BACKGROUND_SIZE_AUTO`
design constant: background size auto
`static final String`
`BACKGROUND_SIZE_CONTAIN`
design constant: background size contain
`static final String`
`BACKGROUND_SIZE_COVER`
design constant: background size cover
`static final String`
`BIDI_DIRECTION_LTR`
design constant: bidi direction ltr
`static final String`
`BIDI_DIRECTION_RTL`
design constant: bidi direction rtl
`static final String`
`CHOICE_ACCESS_PERMISSION`
design constant: choice access permission
`static final String`
`CHOICE_ACCESS_TYPE`
design constant: choice access type
`static final String`
`CHOICE_ACTION_BOOKMARK_TYPE`
design constant: choice action bookmark type
`static final String`
`CHOICE_ACTION_FORMAT_TYPE`
design constant: choice action format type
`static final String`
`CHOICE_ACTION_LINK_TYPE`
design constant: choice action link type
`static final String`
`CHOICE_ACTION_TARGET_FILE_TYPE`
design constant: choice action target file type
`static final String`
`CHOICE_AGGREGATION_FUNCTION`
design constant: choice aggregation function
`static final String`
`CHOICE_ANALYSIS_TYPE`
design constant: choice analysis type
`static final String`
`CHOICE_AUTO_TEXT_TYPE`
design constant: choice auto text type
`static final String`
`CHOICE_BACKGROUND_ATTACHMENT`
design constant: choice background attachment
`static final String`
`CHOICE_BACKGROUND_POSITION_X`
design constant: choice background position x
`static final String`
`CHOICE_BACKGROUND_POSITION_Y`
design constant: choice background position y
`static final String`
`CHOICE_BACKGROUND_REPEAT`
design constant: choice background repeat
`static final String`
`CHOICE_BACKGROUND_SIZE`
design constant: choice background size
`static final String`
`CHOICE_BIDI_DIRECTION`
design constant: choice bidi direction
`static final String`
`CHOICE_COLUMN_ALIGN`
design constant: choice column align
`static final String`
`CHOICE_COLUMN_DATA_TYPE`
design constant: choice column data type
`static final String`
`CHOICE_DATA_SELECTOR_TYPE`
design constant: choice data selector type
`static final String`
`CHOICE_DATA_SET_MODE_TYPE`
design constant: choice data set mode type
`static final String`
`CHOICE_DATA_VERSION`
design constant: choice data version
`static final String`
`CHOICE_DATE_FORMAT_TYPE`
design constant: choice date format type
`static final String`
`CHOICE_DATE_TIME_LEVEL_TYPE`
design constant: choice date time level type
`static final String`
`CHOICE_DATETIME_FORMAT_TYPE`
design constant: choice datetime format type
`static final String`
`CHOICE_DISPLAY`
design constant: choice display
`static final String`
`CHOICE_DROP_TYPE`
design constant: choice drop type
`static final String`
`CHOICE_DYNAMIC_FILTER`
design constant: choice dynamic filter
`static final String`
`CHOICE_EXPORT_TYPE`
design constant: choice export type
`static final String`
`CHOICE_FILTER_CONDITION_TYPE`
design constant: choice filter condition type
`static final String`
`CHOICE_FILTER_OPERATOR`
design constant: choice filter operator
`static final String`
`CHOICE_FILTER_TARGET`
design constant: choice filter target
`static final String`
`CHOICE_FLYOUT_POSITION`
design constant: choice flyout position
`static final String`
`CHOICE_FONT_FAMILY`
design constant: choice font family
`static final String`
`CHOICE_FONT_SIZE`
design constant: choice font size
`static final String`
`CHOICE_FONT_STYLE`
design constant: choice font style
`static final String`
`CHOICE_FONT_VARIANT`
design constant: choice font variant
`static final String`
`CHOICE_FONT_WEIGHT`
design constant: choice font weight
`static final String`
`CHOICE_FORMAT_TYPE`
design constant: choice format type
`static final String`
`CHOICE_GADGET_CONTENT_TYPE`
design constant: choice gadget content type
`static final String`
`CHOICE_HTML_GADGET_CONTENT_TYPE`
Deprecated.
Use `CHOICE_GADGET_CONTENT_TYPE` instead.
`static final String`
`CHOICE_IMAGE_REF_TYPE`
design constant: choice image ref type
`static final String`
`CHOICE_IMAGE_SIZE`
design constant: choice image size
`static final String`
`CHOICE_IMAGE_TYPE`
design constant: choice image type
`static final String`
`CHOICE_INTERVAL`
design constant: choice interval
`static final String`
`CHOICE_INTERVAL_TYPE`
design constant: choice interval type
`static final String`
`CHOICE_JOIN_OPERATOR`
design constant: choice join operator
`static final String`
`CHOICE_JOIN_TYPE`
design constant: choice join type
`static final String`
`CHOICE_LEVEL_TYPE`
design constant: choice level type
`static final String`
`CHOICE_LINE_ORIENTATION`
design constant: choice line orientation
`static final String`
`CHOICE_LINE_SPACING`
design constant: choice line spacing
`static final String`
`CHOICE_LINE_STYLE`
design constant: choice line style
`static final String`
`CHOICE_LINE_WIDTH`
design constant: choice line width
`static final String`
`CHOICE_MAP_OPERATOR`
design constant: choice map operator
`static final String`
`CHOICE_MARGIN`
design constant: choice margin
`static final String`
`CHOICE_MEASURE_FUNCTION`
design constant: choice measure function
`static final String`
`CHOICE_NORMAL`
design constant: choice normal
`static final String`
`CHOICE_NULL_VALUE_ORDERING_TYPE`
design constant: choice null value ordering type
`static final String`
`CHOICE_NULLS_ORDERING`
design constant: choice nulls ordering
`static final String`
`CHOICE_NUMBER_FORMAT_TYPE`
design constant: choice number format type
`static final String`
`CHOICE_OPRHANS`
design constant: choice oprhans
`static final String`
`CHOICE_OVERFLOW`
design constant: choice overflow
`static final String`
`CHOICE_PAGE_BREAK_AFTER`
design constant: choice page break after
`static final String`
`CHOICE_PAGE_BREAK_BEFORE`
design constant: choice page break before
`static final String`
`CHOICE_PAGE_BREAK_INSIDE`
design constant: choice page break inside
`static final String`
`CHOICE_PAGE_ORIENTATION`
design constant: choice page orientation
`static final String`
`CHOICE_PAGE_SIZE`
design constant: choice page size
`static final String`
`CHOICE_PARAM_CONTROL`
design constant: choice param control
`static final String`
`CHOICE_PARAM_SORT_VALUES`
design constant: choice param sort values
`static final String`
`CHOICE_PARAM_TYPE`
design constant: choice param type
`static final String`
`CHOICE_PARAM_VALUE_TYPE`
design constant: choice param value type
`static final String`
`CHOICE_PROPERTY_MASK_TYPE`
design constant: choice property mask type
`static final String`
`CHOICE_QUERY_CHOICE_TYPE`
design constant: choice query choice type
`static final String`
`CHOICE_REFERENCE_DATE_TYPE`
design constant: choice reference date type
`static final String`
`CHOICE_REPORT_ITEM_THEME_TYPE`
design constant: choice report item theme type
`static final String`
`CHOICE_REPORT_LAYOUT_PREFERENCE`
design constant: choice report layout preference
`static final String`
`CHOICE_SCALAR_PARAM_ALIGN`
design constant: choice scalar param align
`static final String`
`CHOICE_SCALAR_PARAM_TYPE`
design constant: choice scalar param type
`static final String`
`CHOICE_SCOPE_TYPE`
design constant: choice scope type
`static final String`
`CHOICE_SEARCH_TYPE`
design constant: choice search type
`static final String`
`CHOICE_SECTION_ALIGN`
design constant: choice section align
`static final String`
`CHOICE_SORT_DIRECTION`
design constant: choice sort direction
`static final String`
`CHOICE_SORT_TYPE`
design constant: choice sort type
`static final String`
`CHOICE_STRING_FORMAT_TYPE`
design constant: choice string format type
`static final String`
`CHOICE_TARGET_NAMES_TYPE`
design constant: choice target names type
`static final String`
`CHOICE_TEMPLATE_ELEMENT_TYPE`
design constant: choice template element type
`static final String`
`CHOICE_TEXT_ALIGN`
design constant: choice text align
`static final String`
`CHOICE_TEXT_CONTENT_TYPE`
design constant: choice text content type
`static final String`
`CHOICE_TEXT_DATA_CONTENT_TYPE`
design constant: choice text data content type
`static final String`
`CHOICE_TEXT_LINE_THROUGH`
design constant: choice text line through
`static final String`
`CHOICE_TEXT_OVERLINE`
design constant: choice text overline
`static final String`
`CHOICE_TEXT_UNDERLINE`
design constant: choice text underline
`static final String`
`CHOICE_THUMB_TYPE`
design constant: choice thumb type
`static final String`
`CHOICE_TIME_FORMAT_TYPE`
design constant: choice time format type
`static final String`
`CHOICE_TRANSFORM`
design constant: choice transform
`static final String`
`CHOICE_UNITS`
design constant: choice units
`static final String`
`CHOICE_VARIABLE_TYPE`
design constant: choice variable type
`static final String`
`CHOICE_VERTICAL_ALIGN`
design constant: choice vertical align
`static final String`
`CHOICE_VIEW_ACTION`
design constant: choice view action
`static final String`
`CHOICE_WHITE_SPACE`
design constant: choice white space
`static final String`
`CHOICE_WIDOWS`
design constant: choice widows
`static final String`
`CHOICE_WINDOW_STATUS`
design constant: choice window status
`static final String`
`COLUMN_ALIGN_CENTER`
design constant: column align center
`static final String`
`COLUMN_ALIGN_LEFT`
design constant: column align left
`static final String`
`COLUMN_ALIGN_RIGHT`
design constant: column align right
`static final String`
`COLUMN_DATA_TYPE_ANY`
Deprecated.
this choice is removed since 2.3
`static final String`
`COLUMN_DATA_TYPE_BLOB`
design constant: column data type blob
`static final String`
`COLUMN_DATA_TYPE_BOOLEAN`
design constant: column data type boolean
`static final String`
`COLUMN_DATA_TYPE_DATE`
design constant: column data type date
`static final String`
`COLUMN_DATA_TYPE_DATETIME`
design constant: column data type datetime
`static final String`
`COLUMN_DATA_TYPE_DECIMAL`
design constant: column data type decimal
`static final String`
`COLUMN_DATA_TYPE_FLOAT`
design constant: column data type float
`static final String`
`COLUMN_DATA_TYPE_INTEGER`
design constant: column data type integer
`static final String`
`COLUMN_DATA_TYPE_JAVA_OBJECT`
design constant: column data type java object
`static final String`
`COLUMN_DATA_TYPE_STRING`
design constant: column data type string
`static final String`
`COLUMN_DATA_TYPE_TIME`
design constant: column data type time
`static final String`
`DATA_SELECTOR_TYPE_CALENDAR`
design constant: data selector type calendar
`static final String`
`DATA_SELECTOR_TYPE_CHECK_BOX`
design constant: data selector type check box
`static final String`
`DATA_SELECTOR_TYPE_CHECKBOXTREE_GROUP`
design constant: data selector type checkboxtree group
`static final String`
`DATA_SELECTOR_TYPE_CURRENT_SELECTIONS`
design constant: data selector type current selections
`static final String`
`DATA_SELECTOR_TYPE_DROPDOWN`
design constant: data selector type dropdown
`static final String`
`DATA_SELECTOR_TYPE_DROPDOWN_GROUP`
design constant: data selector type dropdown group
`static final String`
`DATA_SELECTOR_TYPE_LIST`
design constant: data selector type list
`static final String`
`DATA_SELECTOR_TYPE_LIST_GROUP`
design constant: data selector type list group
`static final String`
`DATA_SELECTOR_TYPE_RADIO_BUTTON`
design constant: data selector type radio button
`static final String`
`DATA_SELECTOR_TYPE_SLIDER`
design constant: data selector type slider
`static final String`
`DATA_SELECTOR_TYPE_TEXT_BOX`
design constant: data selector type text box
`static final String`
`DATA_SET_MODE_MULTIPLE`
design constant: data set mode multiple
`static final String`
`DATA_SET_MODE_SINGLE`
design constant: data set mode single
`static final String`
`DATA_VERSION_LATEST`
design constant: data version latest
`static final String`
`DATA_VERSION_TRANSIENT`
design constant: data version transient
`static final String`
`DATE_FORMAT_TYPE_CUSTOM`
design constant: date format type custom
`static final String`
`DATE_FORMAT_TYPE_DATE_PICKER`
design constant: date format type general date
`static final String`
`DATE_FORMAT_TYPE_GENERAL_DATE`
design constant: date format type general date
`static final String`
`DATE_FORMAT_TYPE_LONG_DATE`
design constant: date format type long date
`static final String`
`DATE_FORMAT_TYPE_MEDIUM_DATE`
design constant: date format type mudium date
`static final String`
`DATE_FORMAT_TYPE_SHORT_DATE`
design constant: date format type short date
`static final String`
`DATE_FORMAT_TYPE_UNFORMATTED`
design constant: date format type unformatted
`static final String`
`DATE_TIME_LEVEL_TYPE_DAY`
Deprecated.
This is replaced by DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR, DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH and DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK, and not used anymore.
`static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH`
design constant: date time level type day of month
`static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_QUARTER`
design constant: date time level type day of quarter
`static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK`
design constant: date time level type day of week
`static final String`
`DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR`
design constant: date time level type day of year
`static final String`
`DATE_TIME_LEVEL_TYPE_HOUR`
design constant: date time level type hour
`static final String`
`DATE_TIME_LEVEL_TYPE_MINUTE`
design constant: date time level type minute
`static final String`
`DATE_TIME_LEVEL_TYPE_MONTH`
design constant: date time level type month
`static final String`
`DATE_TIME_LEVEL_TYPE_QUARTER`
design constant: date time level type quarter
`static final String`
`DATE_TIME_LEVEL_TYPE_SECOND`
design constant: date time level type second
`static final String`
`DATE_TIME_LEVEL_TYPE_WEEK`
Deprecated.
This is replaced by DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR and DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH, and not used anymore.
`static final String`
`DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH`
design constant: date time level type week of month
`static final String`
`DATE_TIME_LEVEL_TYPE_WEEK_OF_QUARTER`
design constant: date time level type week of quarter
`static final String`
`DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR`
design constant: date time level type week of year
`static final String`
`DATE_TIME_LEVEL_TYPE_YEAR`
design constant: date time level type year
`static final String`
`DATETIME_FORMAT_TYPE_CUSTOM`
design constant: datetime format type custom
`static final String`
`DATETIME_FORMAT_TYPE_DATE_PICKER`
design constant: datetime format type medium date
`static final String`
`DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_MEDIUM_TIME`
design constant: datetime format type general date with medium time
`static final String`
`DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_SHORT_TIME`
design constant: datetime format type medium date with short time
`static final String`
`DATETIME_FORMAT_TYPE_GENERAL_DATE`
design constant: datetime format type general date
`static final String`
`DATETIME_FORMAT_TYPE_LONG_DATE`
design constant: datetime format type long date
`static final String`
`DATETIME_FORMAT_TYPE_LONG_TIME`
design constant: datetime format type long time
`static final String`
`DATETIME_FORMAT_TYPE_MEDIUM_DATE`
design constant: datetime format type mudium date
`static final String`
`DATETIME_FORMAT_TYPE_MEDIUM_TIME`
design constant: datetime format type medium time
`static final String`
`DATETIME_FORMAT_TYPE_SHORT_DATE`
design constant: datetime format type short date
`static final String`
`DATETIME_FORMAT_TYPE_SHORT_TIME`
design constant: datetime format type short time
`static final String`
`DATETIME_FORMAT_TYPE_UNFORMATTED`
design constant: datetime format type unformatted
`static final String`
`DISPLAY_BLOCK`
design constant: display block
`static final String`
`DISPLAY_INLINE`
design constant: display inline
`static final String`
`DISPLAY_NONE`
design constant: display none
`static final String`
`DROP_TYPE_ALL`
design constant: drop type all
`static final String`
`DROP_TYPE_DETAIL`
design constant: drop type detail
`static final String`
`DROP_TYPE_NONE`
design constant: drop type none
`static final String`
`DYNAMIC_FILTER_ADVANCED`
design constant: dynamic filter advanced
`static final String`
`DYNAMIC_FILTER_SIMPLE`
design constant: dynamic filter simple
`static final String`
`EXPORT_TYPE_ALWAYS`
design constant: export type always
`static final String`
`EXPORT_TYPE_IF_REALIZED`
design constant: export type if realized
`static final String`
`EXPORT_TYPE_NONE`
design constant: export type none
`static final String`
`FILTER_CONDITION_TYPE_SIMPLE`
design constant: filter condition type simple
`static final String`
`FILTER_CONDITION_TYPE_SLICER`
design constant: filter condition type slicer
`static final String`
`FILTER_OPERATOR_ANY`
Deprecated.
in BIRT 2.1.
`static final String`
`FILTER_OPERATOR_BETWEEN`
design constant: filter operator between
`static final String`
`FILTER_OPERATOR_BOTTOM_N`
design constant: filter operator bottom n
`static final String`
`FILTER_OPERATOR_BOTTOM_PERCENT`
design constant: filter operator bottom percent
`static final String`
`FILTER_OPERATOR_EQ`
design constant: filter operator eq
`static final String`
`FILTER_OPERATOR_FALSE`
design constant: filter operator false
`static final String`
`FILTER_OPERATOR_GE`
design constant: filter operator ge
`static final String`
`FILTER_OPERATOR_GT`
design constant: filter operator gt
`static final String`
`FILTER_OPERATOR_IN`
design constant: filter operator in
`static final String`
`FILTER_OPERATOR_LE`
design constant: filter operator le
`static final String`
`FILTER_OPERATOR_LIKE`
design constant: filter operator like
`static final String`
`FILTER_OPERATOR_LT`
design constant: filter operator lt
`static final String`
`FILTER_OPERATOR_MATCH`
design constant: filter operator match
`static final String`
`FILTER_OPERATOR_NE`
design constant: filter operator ne
`static final String`
`FILTER_OPERATOR_NOT_BETWEEN`
design constant: filter operator not between
`static final String`
`FILTER_OPERATOR_NOT_IN`
design constant: filter operator not in
`static final String`
`FILTER_OPERATOR_NOT_LIKE`
design constant: filter operator not like
`static final String`
`FILTER_OPERATOR_NOT_MATCH`
design constant: filter operator not match
`static final String`
`FILTER_OPERATOR_NOT_NULL`
design constant: filter operator not null
`static final String`
`FILTER_OPERATOR_NULL`
design constant: filter operator null
`static final String`
`FILTER_OPERATOR_TOP_N`
design constant: filter operator top n
`static final String`
`FILTER_OPERATOR_TOP_PERCENT`
design constant: filter operator top percent
`static final String`
`FILTER_OPERATOR_TRUE`
design constant: filter operator true
`static final String`
`FILTER_TARGET_DATA_SET`
design constant: filter target data set
`static final String`
`FILTER_TARGET_RESULT_SET`
design constant: filter target result set
`static final String`
`FLYOUT_POSITION_LEFT`
design constant: flyout position left
`static final String`
`FLYOUT_POSITION_RIGHT`
design constant: flyout position right
`static final String`
`FONT_FAMILY_CURSIVE`
design constant: font family cursive
`static final String`
`FONT_FAMILY_FANTASY`
design constant: font family fantasy
`static final String`
`FONT_FAMILY_MONOSPACE`
design constant: font family monospace
`static final String`
`FONT_FAMILY_SANS_SERIF`
design constant: font family sans serif
`static final String`
`FONT_FAMILY_SERIF`
design constant: font family serif
`static final String`
`FONT_SIZE_LARGE`
design constant: font size large
`static final String`
`FONT_SIZE_LARGER`
design constant: font size larger
`static final String`
`FONT_SIZE_MEDIUM`
design constant: font size medium
`static final String`
`FONT_SIZE_SMALL`
design constant: font size small
`static final String`
`FONT_SIZE_SMALLER`
design constant: font size smaller
`static final String`
`FONT_SIZE_X_LARGE`
design constant: font size x large
`static final String`
`FONT_SIZE_X_SMALL`
design constant: font size x small
`static final String`
`FONT_SIZE_XX_LARGE`
design constant: font size xx large
`static final String`
`FONT_SIZE_XX_SMALL`
design constant: font size xx small
`static final String`
`FONT_STYLE_ITALIC`
design constant: font style italic
`static final String`
`FONT_STYLE_NORMAL`
design constant: font style normal
`static final String`
`FONT_STYLE_OBLIQUE`
design constant: font style oblique
`static final String`
`FONT_VARIANT_NORMAL`
design constant: font variant normal
`static final String`
`FONT_VARIANT_SMALL_CAPS`
design constant: font variant small caps
`static final String`
`FONT_WEIGHT_100`
design constant: font weight 100
`static final String`
`FONT_WEIGHT_200`
design constant: font weight 200
`static final String`
`FONT_WEIGHT_300`
design constant: font weight 300
`static final String`
`FONT_WEIGHT_400`
design constant: font weight 400
`static final String`
`FONT_WEIGHT_500`
design constant: font weight 500
`static final String`
`FONT_WEIGHT_600`
design constant: font weight 600
`static final String`
`FONT_WEIGHT_700`
design constant: font weight 700
`static final String`
`FONT_WEIGHT_800`
design constant: font weight 800
`static final String`
`FONT_WEIGHT_900`
design constant: font weight 900
`static final String`
`FONT_WEIGHT_BOLD`
design constant: font weight bold
`static final String`
`FONT_WEIGHT_BOLDER`
design constant: font weight bolder
`static final String`
`FONT_WEIGHT_LIGHTER`
design constant: font weight lighter
`static final String`
`FONT_WEIGHT_NORMAL`
design constant: font weight normal
`static final String`
`FORMAT_TYPE_ALL`
design constant: format type all
`static final String`
`FORMAT_TYPE_DOC`
design constant: format type doc
`static final String`
`FORMAT_TYPE_EMAIL`
design constant: format type email
`static final String`
`FORMAT_TYPE_EXCEL`
design constant: format type excel
`static final String`
`FORMAT_TYPE_PDF`
design constant: format type pdf
`static final String`
`FORMAT_TYPE_POWERPOINT`
design constant: format type powerpoint
`static final String`
`FORMAT_TYPE_PRINT`
design constant: format type print
`static final String`
`FORMAT_TYPE_REPORTLET`
design constant: format type reportlet
`static final String`
`FORMAT_TYPE_RTF`
design constant: format type rtf
`static final String`
`FORMAT_TYPE_VIEWER`
design constant: format type viewer
`static final String`
`FORMAT_TYPE_WORD`
design constant: format type word
`static final String`
`GADGET_CONTENT_TYPE_HTML`
design constant: gadget content type html
`static final String`
`GADGET_CONTENT_TYPE_IMAGE`
design constant: gadget content type image
`static final String`
`GADGET_CONTENT_TYPE_TEXT`
design constant: gadget content type text
`static final String`
`GADGET_CONTENT_TYPE_URL`
design constant: gadget content type url
`static final String`
`GADGET_CONTENT_TYPE_VIDEO`
design constant: gadget content type video
`static final String`
`GADGET_CONTENT_TYPE_VIDEOURL`
design constant: gadget content type videourl
`static final String`
`HTML_GADGET_CONTENT_TYPE_HTML`
Deprecated.
Use `GADGET_CONTENT_TYPE_HTML` instead.
`static final String`
`HTML_GADGET_CONTENT_TYPE_URL`
Deprecated.
Use `GADGET_CONTENT_TYPE_URL` instead.
`static final String`
`IMAGE_REF_TYPE_EMBED`
design constant: image ref type embed
`static final String`
`IMAGE_REF_TYPE_EXPR`
design constant: image ref type expr
`static final String`
`IMAGE_REF_TYPE_FILE`
design constant: image ref type file
`static final String`
`IMAGE_REF_TYPE_NONE`
design constant: image ref type none
`static final String`
`IMAGE_REF_TYPE_URL`
design constant: image ref type url
`static final String`
`IMAGE_SIZE_CLIP`
design constant: image size clip
`static final String`
`IMAGE_SIZE_SCALE_TO_ITEM`
design constant: image size scale to item
`static final String`
`IMAGE_SIZE_SIZE_TO_IMAGE`
design constant: image size size to image
`static final String`
`IMAGE_TYPE_IMAGE_BMP`
design constant: image type image bmp
`static final String`
`IMAGE_TYPE_IMAGE_GIF`
design constant: image type image gif
`static final String`
`IMAGE_TYPE_IMAGE_ICO`
design constant: image type image ico
`static final String`
`IMAGE_TYPE_IMAGE_JPEG`
design constant: image type image jpeg
`static final String`
`IMAGE_TYPE_IMAGE_PNG`
design constant: image type image png
`static final String`
`IMAGE_TYPE_IMAGE_SVG`
design constant: image type image svg
`static final String`
`IMAGE_TYPE_IMAGE_TIFF`
design constant: image type image tiff
`static final String`
`IMAGE_TYPE_IMAGE_X_ICON`
design constant: image type image x icon
`static final String`
`IMAGE_TYPE_IMAGE_X_PNG`
design constant: image type image x png
`static final String`
`INTERVAL_DAY`
design constant: interval day
`static final String`
`INTERVAL_HOUR`
design constant: interval hour
`static final String`
`INTERVAL_INTERVAL`
design constant: interval interval
`static final String`
`INTERVAL_MINUTE`
design constant: interval minute
`static final String`
`INTERVAL_MONTH`
design constant: interval month
`static final String`
`INTERVAL_NONE`
design constant: interval none
`static final String`
`INTERVAL_PREFIX`
design constant: interval prefix
`static final String`
`INTERVAL_QUARTER`
design constant: interval quarter
`static final String`
`INTERVAL_SECOND`
design constant: interval second
`static final String`
`INTERVAL_TYPE_INTERVAL`
design constant: interval type interval
`static final String`
`INTERVAL_TYPE_NONE`
design constant: interval type none
`static final String`
`INTERVAL_TYPE_PREFIX`
design constant: interval type prefix
`static final String`
`INTERVAL_WEEK`
design constant: interval week
`static final String`
`INTERVAL_YEAR`
design constant: interval year
`static final String`
`JOIN_OPERATOR_EQALS`
design constant: join operator eqals
`static final String`
`JOIN_TYPE_FULL_OUT`
design constant: join type full out
`static final String`
`JOIN_TYPE_INNER`
design constant: join type inner
`static final String`
`JOIN_TYPE_LEFT_OUT`
design constant: join type left out
`static final String`
`JOIN_TYPE_RIGHT_OUT`
design constant: join type right out
`static final String`
`LEVEL_TYPE_DYNAMIC`
design constant: level type dynamic
`static final String`
`LEVEL_TYPE_MIRRORED`
design constant: level type mirrored
`static final String`
`LINE_ORIENTATION_HORIZONTAL`
design constant: line orientation horizontal
`static final String`
`LINE_ORIENTATION_VERTICAL`
design constant: line orientation vertical
`static final String`
`LINE_SPACING_EXACT`
design constant: line spacing exact
`static final String`
`LINE_SPACING_LINES`
design constant: line spacing lines
`static final String`
`LINE_STYLE_DASHED`
design constant: line style dashed
`static final String`
`LINE_STYLE_DOTTED`
design constant: line style dotted
`static final String`
`LINE_STYLE_DOUBLE`
design constant: line style double
`static final String`
`LINE_STYLE_GROOVE`
design constant: line style groove
`static final String`
`LINE_STYLE_INSET`
design constant: line style inset
`static final String`
`LINE_STYLE_NONE`
design constant: line style none
`static final String`
`LINE_STYLE_OUTSET`
design constant: line style outset
`static final String`
`LINE_STYLE_RIDGE`
design constant: line style ridge
`static final String`
`LINE_STYLE_SOLID`
design constant: line style solid
`static final String`
`LINE_WIDTH_MEDIUM`
design constant: line width medium
`static final String`
`LINE_WIDTH_THICK`
design constant: line width thick
`static final String`
`LINE_WIDTH_THIN`
design constant: line width thin
`static final String`
`MAP_OPERATOR_ANY`
design constant: map operator any
`static final String`
`MAP_OPERATOR_BETWEEN`
design constant: map operator between
`static final String`
`MAP_OPERATOR_BOTTOM_N`
design constant: map operator bottom n
`static final String`
`MAP_OPERATOR_BOTTOM_PERCENT`
design constant: map operator bottom percent
`static final String`
`MAP_OPERATOR_EQ`
design constant: map operator eq
`static final String`
`MAP_OPERATOR_FALSE`
design constant: map operator false
`static final String`
`MAP_OPERATOR_GE`
design constant: map operator ge
`static final String`
`MAP_OPERATOR_GT`
design constant: map operator gt
`static final String`
`MAP_OPERATOR_IN`
design constant: map operator in
`static final String`
`MAP_OPERATOR_LE`
design constant: map operator le
`static final String`
`MAP_OPERATOR_LIKE`
design constant: map operator like
`static final String`
`MAP_OPERATOR_LT`
design constant: map operator lt
`static final String`
`MAP_OPERATOR_MATCH`
design constant: map operator match
`static final String`
`MAP_OPERATOR_NE`
design constant: map operator ne
`static final String`
`MAP_OPERATOR_NOT_BETWEEN`
design constant: map operator not between
`static final String`
`MAP_OPERATOR_NOT_IN`
design constant: map operator not in
`static final String`
`MAP_OPERATOR_NOT_LIKE`
design constant: map operator not like
`static final String`
`MAP_OPERATOR_NOT_MATCH`
design constant: map operator not match
`static final String`
`MAP_OPERATOR_NOT_NULL`
design constant: map operator not null
`static final String`
`MAP_OPERATOR_NULL`
design constant: map operator null
`static final String`
`MAP_OPERATOR_TOP_N`
design constant: map operator top n
`static final String`
`MAP_OPERATOR_TOP_PERCENT`
design constant: map operator top percent
`static final String`
`MAP_OPERATOR_TRUE`
design constant: map operator true
`static final String`
`MARGIN_AUTO`
design constant: margin auto
`static final String`
`MEASURE_FUNCTION_AVERAGE`
design constant: measure function average
`static final String`
`MEASURE_FUNCTION_COUNT`
design constant: measure function count
`static final String`
`MEASURE_FUNCTION_COUNTDISTINCT`
design constant: measure function countdistinct
`static final String`
`MEASURE_FUNCTION_FIRST`
design constant: measure function first
`static final String`
`MEASURE_FUNCTION_IRR`
design constant: measure function irr
`static final String`
`MEASURE_FUNCTION_LAST`
design constant: measure function last
`static final String`
`MEASURE_FUNCTION_MAX`
design constant: measure function max
`static final String`
`MEASURE_FUNCTION_MEDIAN`
design constant: measure function median
`static final String`
`MEASURE_FUNCTION_MIN`
design constant: measure function min
`static final String`
`MEASURE_FUNCTION_MIRR`
design constant: measure function mirr
`static final String`
`MEASURE_FUNCTION_MODE`
design constant: measure function mode
`static final String`
`MEASURE_FUNCTION_MOVINGAVE`
design constant: measure function movingave
`static final String`
`MEASURE_FUNCTION_NPV`
design constant: measure function npv
`static final String`
`MEASURE_FUNCTION_RUNNINGCOUNT`
design constant: measure function runningcount
`static final String`
`MEASURE_FUNCTION_RUNNINGNPV`
design constant: measure function runningnpv
`static final String`
`MEASURE_FUNCTION_RUNNINGSUM`
design constant: measure function runningsum
`static final String`
`MEASURE_FUNCTION_STDDEV`
design constant: measure function stddev
`static final String`
`MEASURE_FUNCTION_SUM`
design constant: measure function sum
`static final String`
`MEASURE_FUNCTION_VARIANCE`
design constant: measure function variance
`static final String`
`MEASURE_FUNCTION_WEIGHTEDAVG`
design constant: measure function weightedavg
`static final String`
`NORMAL_NORMAL`
design constant: normal normal
`static final String`
`NULL_VALUE_ORDERING_TYPE_NULLISFIRST`
design constant: null value ordering type nullisfirst
`static final String`
`NULL_VALUE_ORDERING_TYPE_NULLISLAST`
design constant: null value ordering type nullislast
`static final String`
`NULL_VALUE_ORDERING_TYPE_UNKNOWN`
design constant: null value ordering type unknown
`static final String`
`NULLS_ORDERING_EXCLUDE_NULLS`
design constant: nulls ordering exclude nulls
`static final String`
`NULLS_ORDERING_NULLS_HIGHEST`
design constant: nulls ordering nulls highest
`static final String`
`NULLS_ORDERING_NULLS_LOWEST`
design constant: nulls ordering nulls lowest
`static final String`
`NUMBER_FORMAT_TYPE_CURRENCY`
design constant: number format type currency
`static final String`
`NUMBER_FORMAT_TYPE_CUSTOM`
design constant: number format type custom
`static final String`
`NUMBER_FORMAT_TYPE_FIXED`
design constant: number format type fixed
`static final String`
`NUMBER_FORMAT_TYPE_GENERAL_NUMBER`
design constant: number format type general number
`static final String`
`NUMBER_FORMAT_TYPE_PERCENT`
design constant: number format type percent
`static final String`
`NUMBER_FORMAT_TYPE_SCIENTIFIC`
design constant: number format type scientific
`static final String`
`NUMBER_FORMAT_TYPE_STANDARD`
design constant: number format type standard
`static final String`
`NUMBER_FORMAT_TYPE_UNFORMATTED`
design constant: number format type unformatted
`static final String`
`ORPHANS_INHERIT`
design constant: orphans inherit
`static final String`
`OVERFLOW_AUTO`
design constant: overflow auto
`static final String`
`OVERFLOW_HIDDEN`
design constant: overflow hidden
`static final String`
`OVERFLOW_SCROLL`
design constant: overflow scroll
`static final String`
`OVERFLOW_VISIBLE`
design constant: overflow visible
`static final String`
`PAGE_BREAK_AFTER_ALWAYS`
design constant: page break after always
`static final String`
`PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST`
design constant: page break after always excluding last
`static final String`
`PAGE_BREAK_AFTER_AUTO`
design constant: page break after auto
`static final String`
`PAGE_BREAK_AFTER_AVOID`
design constant: page break after avoid
`static final String`
`PAGE_BREAK_BEFORE_ALWAYS`
design constant: page break before always
`static final String`
`PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST`
design constant: page break before always excluding first
`static final String`
`PAGE_BREAK_BEFORE_AUTO`
design constant: page break before auto
`static final String`
`PAGE_BREAK_BEFORE_AVOID`
design constant: page break before avoid
`static final String`
`PAGE_BREAK_INSIDE_AUTO`
design constant: page break inside auto
`static final String`
`PAGE_BREAK_INSIDE_AVOID`
design constant: page break inside avoid
`static final String`
`PAGE_ORIENTATION_AUTO`
design constant: page orientation auto
`static final String`
`PAGE_ORIENTATION_LANDSCAPE`
design constant: page orientation landscape
`static final String`
`PAGE_ORIENTATION_PORTRAIT`
design constant: page orientation portrait
`static final String`
`PAGE_SIZE_A3`
design constant: page size a3
`static final String`
`PAGE_SIZE_A4`
design constant: page size a4
`static final String`
`PAGE_SIZE_A5`
design constant: page size a5
`static final String`
`PAGE_SIZE_CUSTOM`
design constant: page size custom
`static final String`
`PAGE_SIZE_US_LEDGER`
design constant: page size us ledger
`static final String`
`PAGE_SIZE_US_LEGAL`
design constant: page size us legal
`static final String`
`PAGE_SIZE_US_LETTER`
design constant: page size us letter
`static final String`
`PAGE_SIZE_US_SUPER_B`
design constant: page size us super b
`static final String`
`PARAM_CONTROL_AUTO_SUGGEST`
design constant: param control auto suggest
`static final String`
`PARAM_CONTROL_CHECK_BOX`
design constant: param control check box
`static final String`
`PARAM_CONTROL_LIST_BOX`
design constant: param control list box
`static final String`
`PARAM_CONTROL_RADIO_BUTTON`
design constant: param control radio button
`static final String`
`PARAM_CONTROL_TEXT_BOX`
design constant: param control text box
`static final String`
`PARAM_SORT_VALUES_LABEL`
design constant: param sort values label
`static final String`
`PARAM_SORT_VALUES_VALUE`
design constant: param sort values value
`static final String`
`PARAM_TYPE_ANY`
Deprecated.
Now any is not supported.
`static final String`
`PARAM_TYPE_BOOLEAN`
design constant: param type boolean
`static final String`
`PARAM_TYPE_DATE`
design constant: param type date
`static final String`
`PARAM_TYPE_DATETIME`
design constant: param type datetime
`static final String`
`PARAM_TYPE_DECIMAL`
design constant: param type decimal
`static final String`
`PARAM_TYPE_FLOAT`
design constant: param type float
`static final String`
`PARAM_TYPE_INTEGER`
design constant: param type integer
`static final String`
`PARAM_TYPE_JAVA_OBJECT`
design constant: param type java object
`static final String`
`PARAM_TYPE_STRING`
design constant: param type string
`static final String`
`PARAM_TYPE_TIME`
design constant: param type time
`static final String`
`PARAM_VALUE_TYPE_DYNAMIC`
design constant: param value type dynamic
`static final String`
`PARAM_VALUE_TYPE_STATIC`
design constant: param value type static
`static final String`
`PROPERTY_MASK_TYPE_CHANGE`
design constant: property mask type change
`static final String`
`PROPERTY_MASK_TYPE_HIDE`
design constant: property mask type hide
`static final String`
`PROPERTY_MASK_TYPE_LOCK`
design constant: property mask type lock
`static final String`
`QUERY_CHOICE_TYPE_NONE`
design constant: query choice type none
`static final String`
`QUERY_CHOICE_TYPE_SCRIPT`
design constant: query choice type script
`static final String`
`QUERY_CHOICE_TYPE_TEXT`
design constant: query choice type text
`static final String`
`REFERENCE_DATE_TYPE_ENDING_DATE_IN_DIMENSION`
design constant: reference date type ending date in dimension
`static final String`
`REFERENCE_DATE_TYPE_FIXED_DATE`
design constant: reference date type fixed date
`static final String`
`REFERENCE_DATE_TYPE_TODAY`
design constant: reference date type today
`static final String`
`REPORT_ITEM_THEME_TYPE_GRID`
design constant: report item theme type grid
`static final String`
`REPORT_ITEM_THEME_TYPE_LIST`
design constant: report item theme type list
`static final String`
`REPORT_ITEM_THEME_TYPE_TABLE`
design constant: report item theme type table
`static final String`
`REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT`
design constant: report layout preference auto layout
`static final String`
`REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT`
design constant: report layout preference fixed layout
`static final String`
`SCALAR_PARAM_ALIGN_AUTO`
design constant: scalar param align auto
`static final String`
`SCALAR_PARAM_ALIGN_CENTER`
design constant: scalar param align center
`static final String`
`SCALAR_PARAM_ALIGN_LEFT`
design constant: scalar param align left
`static final String`
`SCALAR_PARAM_ALIGN_RIGHT`
design constant: scalar param align right
`static final String`
`SCALAR_PARAM_TYPE_AD_HOC`
design constant: scalar param type ad hoc
`static final String`
`SCALAR_PARAM_TYPE_MULTI_VALUE`
design constant: scalar param type multi value
`static final String`
`SCALAR_PARAM_TYPE_SIMPLE`
design constant: scalar param type simple
`static final String`
`SCOPE_TYPE_COL`
design constant: scope type col
`static final String`
`SCOPE_TYPE_COLGROUP`
design constant: scope type colgroup
`static final String`
`SCOPE_TYPE_ROW`
design constant: scope type row
`static final String`
`SCOPE_TYPE_ROWGROUP`
design constant: scope type rowgroup
`static final String`
`SEARCH_TYPE_ANY`
design constant: search type any
`static final String`
`SEARCH_TYPE_INDEXED`
design constant: search type indexed
`static final String`
`SEARCH_TYPE_NONE`
design constant: search type none
`static final String`
`SECTION_ALIGN_CENTER`
design constant: section align center
`static final String`
`SECTION_ALIGN_LEFT`
design constant: section align left
`static final String`
`SECTION_ALIGN_RIGHT`
design constant: section align right
`static final String`
`SORT_DIRECTION_ASC`
design constant: sort direction asc
`static final String`
`SORT_DIRECTION_DESC`
design constant: sort direction desc
`static final String`
`SORT_TYPE_COMPLEX_SORT`
design constant: sort type complex sort
`static final String`
`SORT_TYPE_NONE`
design constant: sort type none
`static final String`
`SORT_TYPE_SORT_ON_GROUP_KEY`
design constant: sort type sort on group key
`static final String`
`STRING_FORMAT_TYPE_CUSTOM`
design constant: string format type custom
`static final String`
`STRING_FORMAT_TYPE_LOWERCASE`
design constant: string format type lowercase
`static final String`
`STRING_FORMAT_TYPE_PHONE_NUMBER`
design constant: string format type phone number
`static final String`
`STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`
design constant: string format type social security number
`static final String`
`STRING_FORMAT_TYPE_UNFORMATTED`
design constant: string format type unformatted
`static final String`
`STRING_FORMAT_TYPE_UPPERCASE`
design constant: string format type uppercase
`static final String`
`STRING_FORMAT_TYPE_ZIP_CODE`
design constant: string format type zip code
`static final String`
`STRING_FORMAT_TYPE_ZIP_CODE_4`
design constant: string format type zip code 4
`static final String`
`TARGET_NAMES_TYPE_BLANK`
design constant: target names type blank
`static final String`
`TARGET_NAMES_TYPE_PARENT`
design constant: target names type parent
`static final String`
`TARGET_NAMES_TYPE_SELF`
design constant: target names type self
`static final String`
`TARGET_NAMES_TYPE_TOP`
design constant: target names type top
`static final String`
`TEMPLATE_ELEMENT_TYPE_DATA`
design constant: template element type data
`static final String`
`TEMPLATE_ELEMENT_TYPE_DATA_SET`
design constant: template element type data set
`static final String`
`TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM`
design constant: template element type extended item
`static final String`
`TEMPLATE_ELEMENT_TYPE_FREEFORM`
design constant: template element type freeform
`static final String`
`TEMPLATE_ELEMENT_TYPE_GRID`
design constant: template element type grid
`static final String`
`TEMPLATE_ELEMENT_TYPE_IMAGE`
design constant: template element type image
`static final String`
`TEMPLATE_ELEMENT_TYPE_LABEL`
design constant: template element type label
`static final String`
`TEMPLATE_ELEMENT_TYPE_LIST`
design constant: template element type list
`static final String`
`TEMPLATE_ELEMENT_TYPE_TABLE`
design constant: template element type table
`static final String`
`TEMPLATE_ELEMENT_TYPE_TEXT`
design constant: template element type text
`static final String`
`TEMPLATE_ELEMENT_TYPE_TEXT_DATA`
design constant: template element type text data
`static final String`
`TEXT_ALIGN_CENTER`
design constant: text align center
`static final String`
`TEXT_ALIGN_JUSTIFY`
design constant: text align justify
`static final String`
`TEXT_ALIGN_LEFT`
design constant: text align left
`static final String`
`TEXT_ALIGN_RIGHT`
design constant: text align right
`static final String`
`TEXT_CONTENT_TYPE_AUTO`
design constant: text content type auto
`static final String`
`TEXT_CONTENT_TYPE_HTML`
design constant: text content type html
`static final String`
`TEXT_CONTENT_TYPE_PLAIN`
design constant: text content type plain
`static final String`
`TEXT_CONTENT_TYPE_RTF`
design constant: text content type rtf
`static final String`
`TEXT_DATA_CONTENT_TYPE_AUTO`
design constant: text data content type auto
`static final String`
`TEXT_DATA_CONTENT_TYPE_HTML`
design constant: text data content type html
`static final String`
`TEXT_DATA_CONTENT_TYPE_PLAIN`
design constant: text data content type plain
`static final String`
`TEXT_DATA_CONTENT_TYPE_RTF`
design constant: text data content type rtf
`static final String`
`TEXT_HYPERLINK_STYLE_NORMAL`
design constant: text hyper link style none
`static final String`
`TEXT_HYPERLINK_STYLE_UNDECORATED`
design constant: text hyper link style
`static final String`
`TEXT_LINE_THROUGH_LINE_THROUGH`
design constant: text line through line through
`static final String`
`TEXT_LINE_THROUGH_NONE`
design constant: text line through none
`static final String`
`TEXT_OVERLINE_NONE`
design constant: text overline none
`static final String`
`TEXT_OVERLINE_OVERLINE`
design constant: text overline overline
`static final String`
`TEXT_UNDERLINE_NONE`
design constant: text underline none
`static final String`
`TEXT_UNDERLINE_UNDERLINE`
design constant: text underline underline
`static final String`
`THUMB_TYPE_DUAL`
design constant: thumb type dual
`static final String`
`THUMB_TYPE_SINGLE`
design constant: thumb type single
`static final String`
`TIME_FORMAT_TYPE_CUSTOM`
design constant: time format type custom
`static final String`
`TIME_FORMAT_TYPE_LONG_TIME`
design constant: time format type long time
`static final String`
`TIME_FORMAT_TYPE_MEDIUM_TIME`
design constant: time format type medium time
`static final String`
`TIME_FORMAT_TYPE_SHORT_TIME`
design constant: time format type short time
`static final String`
`TIME_FORMAT_TYPE_TIME_PICKER_MEDIUM_TIME`
design constant: date format type general date
`static final String`
`TIME_FORMAT_TYPE_TIME_PICKER_SHORT_TIME`
design constant: date format type general date
`static final String`
`TRANSFORM_CAPITALIZE`
design constant: transform capitalize
`static final String`
`TRANSFORM_LOWERCASE`
design constant: transform lowercase
`static final String`
`TRANSFORM_NONE`
design constant: transform none
`static final String`
`TRANSFORM_UPPERCASE`
design constant: transform uppercase
`static final String`
`UNITS_CM`
design constant: units cm
`static final String`
`UNITS_EM`
design constant: units em
`static final String`
`UNITS_EX`
design constant: units ex
`static final String`
`UNITS_IN`
design constant: units in
`static final String`
`UNITS_MM`
design constant: units mm
`static final String`
`UNITS_PC`
design constant: units pc
`static final String`
`UNITS_PERCENTAGE`
design constant: units percentage
`static final String`
`UNITS_PT`
design constant: units pt
`static final String`
`UNITS_PX`
design constant: units px
`static final String`
`VALUE_FORMAT_TYPE_CUSTOM`
design constant: value format type custom
`static final String`
`VARIABLE_TYPE_PAGE`
design constant: variable type page
`static final String`
`VARIABLE_TYPE_REPORT`
design constant: variable type report
`static final String`
`VERTICAL_ALIGN_BASELINE`
Deprecated.
Now Engine is not support it.
`static final String`
`VERTICAL_ALIGN_BOTTOM`
design constant: vertical align bottom
`static final String`
`VERTICAL_ALIGN_MIDDLE`
design constant: vertical align middle
`static final String`
`VERTICAL_ALIGN_SUB`
Deprecated.
Now Engine is not support it.
`static final String`
`VERTICAL_ALIGN_SUPER`
Deprecated.
Now Engine is not support it.
`static final String`
`VERTICAL_ALIGN_TEXT_BOTTOM`
Deprecated.
Now Engine is not support it.
`static final String`
`VERTICAL_ALIGN_TEXT_TOP`
Deprecated.
Now Engine is not support it.
`static final String`
`VERTICAL_ALIGN_TOP`
design constant: vertical align top
`static final String`
`VIEW_ACTION_ADDED`
design constant: view action added
`static final String`
`VIEW_ACTION_CHANGED`
design constant: view action changed
`static final String`
`VIEW_ACTION_DELETED`
design constant: view action deleted
`static final String`
`VIEW_ACTION_NO_CHANGE`
design constant: view action no change
`static final String`
`WHITE_SPACE_NORMAL`
design constant: white space normal
`static final String`
`WHITE_SPACE_NOWRAP`
design constant: white space nowrap
`static final String`
`WHITE_SPACE_PRE`
design constant: white space pre
`static final String`
`WIDOWS_INHERIT`
design constant: widows inherit
`static final String`
`WINDOW_STATUS_MAXIMIZED`
design constant: window status maximized
`static final String`
`WINDOW_STATUS_NORMAL`
design constant: window status normal

## Field Details

### CHOICE_FONT_FAMILY

static final String CHOICE_FONT_FAMILY
design constant: choice font family

See Also:
  - Constant Field Values

### FONT_FAMILY_SERIF

static final String FONT_FAMILY_SERIF
design constant: font family serif

See Also:
  - Constant Field Values

### FONT_FAMILY_SANS_SERIF

static final String FONT_FAMILY_SANS_SERIF
design constant: font family sans serif

See Also:
  - Constant Field Values

### FONT_FAMILY_CURSIVE

static final String FONT_FAMILY_CURSIVE
design constant: font family cursive

See Also:
  - Constant Field Values

### FONT_FAMILY_FANTASY

static final String FONT_FAMILY_FANTASY
design constant: font family fantasy

See Also:
  - Constant Field Values

### FONT_FAMILY_MONOSPACE

static final String FONT_FAMILY_MONOSPACE
design constant: font family monospace

See Also:
  - Constant Field Values

### CHOICE_FONT_STYLE

static final String CHOICE_FONT_STYLE
design constant: choice font style

See Also:
  - Constant Field Values

### FONT_STYLE_NORMAL

static final String FONT_STYLE_NORMAL
design constant: font style normal

See Also:
  - Constant Field Values

### FONT_STYLE_ITALIC

static final String FONT_STYLE_ITALIC
design constant: font style italic

See Also:
  - Constant Field Values

### FONT_STYLE_OBLIQUE

static final String FONT_STYLE_OBLIQUE
design constant: font style oblique

See Also:
  - Constant Field Values

### CHOICE_FONT_WEIGHT

static final String CHOICE_FONT_WEIGHT
design constant: choice font weight

See Also:
  - Constant Field Values

### FONT_WEIGHT_NORMAL

static final String FONT_WEIGHT_NORMAL
design constant: font weight normal

See Also:
  - Constant Field Values

### FONT_WEIGHT_BOLD

static final String FONT_WEIGHT_BOLD
design constant: font weight bold

See Also:
  - Constant Field Values

### FONT_WEIGHT_BOLDER

static final String FONT_WEIGHT_BOLDER
design constant: font weight bolder

See Also:
  - Constant Field Values

### FONT_WEIGHT_LIGHTER

static final String FONT_WEIGHT_LIGHTER
design constant: font weight lighter

See Also:
  - Constant Field Values

### FONT_WEIGHT_100

static final String FONT_WEIGHT_100
design constant: font weight 100

See Also:
  - Constant Field Values

### FONT_WEIGHT_200

static final String FONT_WEIGHT_200
design constant: font weight 200

See Also:
  - Constant Field Values

### FONT_WEIGHT_300

static final String FONT_WEIGHT_300
design constant: font weight 300

See Also:
  - Constant Field Values

### FONT_WEIGHT_400

static final String FONT_WEIGHT_400
design constant: font weight 400

See Also:
  - Constant Field Values

### FONT_WEIGHT_500

static final String FONT_WEIGHT_500
design constant: font weight 500

See Also:
  - Constant Field Values

### FONT_WEIGHT_600

static final String FONT_WEIGHT_600
design constant: font weight 600

See Also:
  - Constant Field Values

### FONT_WEIGHT_700

static final String FONT_WEIGHT_700
design constant: font weight 700

See Also:
  - Constant Field Values

### FONT_WEIGHT_800

static final String FONT_WEIGHT_800
design constant: font weight 800

See Also:
  - Constant Field Values

### FONT_WEIGHT_900

static final String FONT_WEIGHT_900
design constant: font weight 900

See Also:
  - Constant Field Values

### CHOICE_FONT_SIZE

static final String CHOICE_FONT_SIZE
design constant: choice font size

See Also:
  - Constant Field Values

### FONT_SIZE_XX_SMALL

static final String FONT_SIZE_XX_SMALL
design constant: font size xx small

See Also:
  - Constant Field Values

### FONT_SIZE_X_SMALL

static final String FONT_SIZE_X_SMALL
design constant: font size x small

See Also:
  - Constant Field Values

### FONT_SIZE_SMALL

static final String FONT_SIZE_SMALL
design constant: font size small

See Also:
  - Constant Field Values

### FONT_SIZE_MEDIUM

static final String FONT_SIZE_MEDIUM
design constant: font size medium

See Also:
  - Constant Field Values

### FONT_SIZE_LARGE

static final String FONT_SIZE_LARGE
design constant: font size large

See Also:
  - Constant Field Values

### FONT_SIZE_X_LARGE

static final String FONT_SIZE_X_LARGE
design constant: font size x large

See Also:
  - Constant Field Values

### FONT_SIZE_XX_LARGE

static final String FONT_SIZE_XX_LARGE
design constant: font size xx large

See Also:
  - Constant Field Values

### FONT_SIZE_LARGER

static final String FONT_SIZE_LARGER
design constant: font size larger

See Also:
  - Constant Field Values

### FONT_SIZE_SMALLER

static final String FONT_SIZE_SMALLER
design constant: font size smaller

See Also:
  - Constant Field Values

### CHOICE_FONT_VARIANT

static final String CHOICE_FONT_VARIANT
design constant: choice font variant

See Also:
  - Constant Field Values

### FONT_VARIANT_NORMAL

static final String FONT_VARIANT_NORMAL
design constant: font variant normal

See Also:
  - Constant Field Values

### FONT_VARIANT_SMALL_CAPS

static final String FONT_VARIANT_SMALL_CAPS
design constant: font variant small caps

See Also:
  - Constant Field Values

### CHOICE_BACKGROUND_REPEAT

static final String CHOICE_BACKGROUND_REPEAT
design constant: choice background repeat

See Also:
  - Constant Field Values

### BACKGROUND_REPEAT_REPEAT

static final String BACKGROUND_REPEAT_REPEAT
design constant: background repeat repeat

See Also:
  - Constant Field Values

### BACKGROUND_REPEAT_REPEAT_X

static final String BACKGROUND_REPEAT_REPEAT_X
design constant: background repeat repeat x

See Also:
  - Constant Field Values

### BACKGROUND_REPEAT_REPEAT_Y

static final String BACKGROUND_REPEAT_REPEAT_Y
design constant: background repeat repeat y

See Also:
  - Constant Field Values

### BACKGROUND_REPEAT_NO_REPEAT

static final String BACKGROUND_REPEAT_NO_REPEAT
design constant: background repeat no repeat

See Also:
  - Constant Field Values

### CHOICE_BACKGROUND_ATTACHMENT

static final String CHOICE_BACKGROUND_ATTACHMENT
design constant: choice background attachment

See Also:
  - Constant Field Values

### BACKGROUND_ATTACHMENT_SCROLL

static final String BACKGROUND_ATTACHMENT_SCROLL
design constant: background attachment scroll

See Also:
  - Constant Field Values

### BACKGROUND_ATTACHMENT_FIXED

static final String BACKGROUND_ATTACHMENT_FIXED
design constant: background attachment fixed

See Also:
  - Constant Field Values

### CHOICE_BACKGROUND_POSITION_X

static final String CHOICE_BACKGROUND_POSITION_X
design constant: choice background position x

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_LEFT

static final String BACKGROUND_POSITION_LEFT
design constant: background position left

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_RIGHT

static final String BACKGROUND_POSITION_RIGHT
design constant: background position right

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_CENTER

static final String BACKGROUND_POSITION_CENTER
design constant: background position center

See Also:
  - Constant Field Values

### CHOICE_BACKGROUND_POSITION_Y

static final String CHOICE_BACKGROUND_POSITION_Y
design constant: choice background position y

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_TOP

static final String BACKGROUND_POSITION_TOP
design constant: background position top

See Also:
  - Constant Field Values

### BACKGROUND_POSITION_BOTTOM

static final String BACKGROUND_POSITION_BOTTOM
design constant: background position bottom

See Also:
  - Constant Field Values

### CHOICE_BACKGROUND_SIZE

static final String CHOICE_BACKGROUND_SIZE
design constant: choice background size

See Also:
  - Constant Field Values

### BACKGROUND_SIZE_AUTO

static final String BACKGROUND_SIZE_AUTO
design constant: background size auto

See Also:
  - Constant Field Values

### BACKGROUND_SIZE_CONTAIN

static final String BACKGROUND_SIZE_CONTAIN
design constant: background size contain

See Also:
  - Constant Field Values

### BACKGROUND_SIZE_COVER

static final String BACKGROUND_SIZE_COVER
design constant: background size cover

See Also:
  - Constant Field Values

### CHOICE_TRANSFORM

static final String CHOICE_TRANSFORM
design constant: choice transform

See Also:
  - Constant Field Values

### TRANSFORM_CAPITALIZE

static final String TRANSFORM_CAPITALIZE
design constant: transform capitalize

See Also:
  - Constant Field Values

### TRANSFORM_UPPERCASE

static final String TRANSFORM_UPPERCASE
design constant: transform uppercase

See Also:
  - Constant Field Values

### TRANSFORM_LOWERCASE

static final String TRANSFORM_LOWERCASE
design constant: transform lowercase

See Also:
  - Constant Field Values

### TRANSFORM_NONE

static final String TRANSFORM_NONE
design constant: transform none

See Also:
  - Constant Field Values

### CHOICE_NORMAL

static final String CHOICE_NORMAL
design constant: choice normal

See Also:
  - Constant Field Values

### NORMAL_NORMAL

static final String NORMAL_NORMAL
design constant: normal normal

See Also:
  - Constant Field Values

### CHOICE_VERTICAL_ALIGN

static final String CHOICE_VERTICAL_ALIGN
design constant: choice vertical align

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_BASELINE

@Deprecated static final String VERTICAL_ALIGN_BASELINE
Deprecated.
Now Engine is not support it.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_SUB

@Deprecated static final String VERTICAL_ALIGN_SUB
Deprecated.
Now Engine is not support it.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_SUPER

@Deprecated static final String VERTICAL_ALIGN_SUPER
Deprecated.
Now Engine is not support it.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_TOP

static final String VERTICAL_ALIGN_TOP
design constant: vertical align top

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_TEXT_TOP

@Deprecated static final String VERTICAL_ALIGN_TEXT_TOP
Deprecated.
Now Engine is not support it.

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_MIDDLE

static final String VERTICAL_ALIGN_MIDDLE
design constant: vertical align middle

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_BOTTOM

static final String VERTICAL_ALIGN_BOTTOM
design constant: vertical align bottom

See Also:
  - Constant Field Values

### VERTICAL_ALIGN_TEXT_BOTTOM

@Deprecated static final String VERTICAL_ALIGN_TEXT_BOTTOM
Deprecated.
Now Engine is not support it.

See Also:
  - Constant Field Values

### CHOICE_WHITE_SPACE

static final String CHOICE_WHITE_SPACE
design constant: choice white space

See Also:
  - Constant Field Values

### WHITE_SPACE_NORMAL

static final String WHITE_SPACE_NORMAL
design constant: white space normal

See Also:
  - Constant Field Values

### WHITE_SPACE_PRE

static final String WHITE_SPACE_PRE
design constant: white space pre

See Also:
  - Constant Field Values

### WHITE_SPACE_NOWRAP

static final String WHITE_SPACE_NOWRAP
design constant: white space nowrap

See Also:
  - Constant Field Values

### CHOICE_DISPLAY

static final String CHOICE_DISPLAY
design constant: choice display

See Also:
  - Constant Field Values

### DISPLAY_BLOCK

static final String DISPLAY_BLOCK
design constant: display block

See Also:
  - Constant Field Values

### DISPLAY_INLINE

static final String DISPLAY_INLINE
design constant: display inline

See Also:
  - Constant Field Values

### DISPLAY_NONE

static final String DISPLAY_NONE
design constant: display none

See Also:
  - Constant Field Values

### CHOICE_PAGE_BREAK_AFTER

static final String CHOICE_PAGE_BREAK_AFTER
design constant: choice page break after

See Also:
  - Constant Field Values

### PAGE_BREAK_AFTER_AUTO

static final String PAGE_BREAK_AFTER_AUTO
design constant: page break after auto

See Also:
  - Constant Field Values

### PAGE_BREAK_AFTER_ALWAYS

static final String PAGE_BREAK_AFTER_ALWAYS
design constant: page break after always

See Also:
  - Constant Field Values

### PAGE_BREAK_AFTER_AVOID

static final String PAGE_BREAK_AFTER_AVOID
design constant: page break after avoid

See Also:
  - Constant Field Values

### PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST

static final String PAGE_BREAK_AFTER_ALWAYS_EXCLUDING_LAST
design constant: page break after always excluding last

See Also:
  - Constant Field Values

### CHOICE_PAGE_BREAK_BEFORE

static final String CHOICE_PAGE_BREAK_BEFORE
design constant: choice page break before

See Also:
  - Constant Field Values

### PAGE_BREAK_BEFORE_AUTO

static final String PAGE_BREAK_BEFORE_AUTO
design constant: page break before auto

See Also:
  - Constant Field Values

### PAGE_BREAK_BEFORE_ALWAYS

static final String PAGE_BREAK_BEFORE_ALWAYS
design constant: page break before always

See Also:
  - Constant Field Values

### PAGE_BREAK_BEFORE_AVOID

static final String PAGE_BREAK_BEFORE_AVOID
design constant: page break before avoid

See Also:
  - Constant Field Values

### PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST

static final String PAGE_BREAK_BEFORE_ALWAYS_EXCLUDING_FIRST
design constant: page break before always excluding first

See Also:
  - Constant Field Values

### CHOICE_PAGE_BREAK_INSIDE

static final String CHOICE_PAGE_BREAK_INSIDE
design constant: choice page break inside

See Also:
  - Constant Field Values

### PAGE_BREAK_INSIDE_AVOID

static final String PAGE_BREAK_INSIDE_AVOID
design constant: page break inside avoid

See Also:
  - Constant Field Values

### PAGE_BREAK_INSIDE_AUTO

static final String PAGE_BREAK_INSIDE_AUTO
design constant: page break inside auto

See Also:
  - Constant Field Values

### CHOICE_MARGIN

static final String CHOICE_MARGIN
design constant: choice margin

See Also:
  - Constant Field Values

### MARGIN_AUTO

static final String MARGIN_AUTO
design constant: margin auto

See Also:
  - Constant Field Values

### CHOICE_TEXT_UNDERLINE

static final String CHOICE_TEXT_UNDERLINE
design constant: choice text underline

See Also:
  - Constant Field Values

### TEXT_UNDERLINE_NONE

static final String TEXT_UNDERLINE_NONE
design constant: text underline none

See Also:
  - Constant Field Values

### TEXT_UNDERLINE_UNDERLINE

static final String TEXT_UNDERLINE_UNDERLINE
design constant: text underline underline

See Also:
  - Constant Field Values

### CHOICE_TEXT_OVERLINE

static final String CHOICE_TEXT_OVERLINE
design constant: choice text overline

See Also:
  - Constant Field Values

### TEXT_OVERLINE_NONE

static final String TEXT_OVERLINE_NONE
design constant: text overline none

See Also:
  - Constant Field Values

### TEXT_OVERLINE_OVERLINE

static final String TEXT_OVERLINE_OVERLINE
design constant: text overline overline

See Also:
  - Constant Field Values

### CHOICE_TEXT_LINE_THROUGH

static final String CHOICE_TEXT_LINE_THROUGH
design constant: choice text line through

See Also:
  - Constant Field Values

### TEXT_LINE_THROUGH_NONE

static final String TEXT_LINE_THROUGH_NONE
design constant: text line through none

See Also:
  - Constant Field Values

### TEXT_LINE_THROUGH_LINE_THROUGH

static final String TEXT_LINE_THROUGH_LINE_THROUGH
design constant: text line through line through

See Also:
  - Constant Field Values

### TEXT_HYPERLINK_STYLE_NORMAL

static final String TEXT_HYPERLINK_STYLE_NORMAL
design constant: text hyper link style none

See Also:
  - Constant Field Values

### TEXT_HYPERLINK_STYLE_UNDECORATED

static final String TEXT_HYPERLINK_STYLE_UNDECORATED
design constant: text hyper link style

See Also:
  - Constant Field Values

### CHOICE_LINE_WIDTH

static final String CHOICE_LINE_WIDTH
design constant: choice line width

See Also:
  - Constant Field Values

### LINE_WIDTH_THIN

static final String LINE_WIDTH_THIN
design constant: line width thin

See Also:
  - Constant Field Values

### LINE_WIDTH_MEDIUM

static final String LINE_WIDTH_MEDIUM
design constant: line width medium

See Also:
  - Constant Field Values

### LINE_WIDTH_THICK

static final String LINE_WIDTH_THICK
design constant: line width thick

See Also:
  - Constant Field Values

### CHOICE_LINE_STYLE

static final String CHOICE_LINE_STYLE
design constant: choice line style

See Also:
  - Constant Field Values

### LINE_STYLE_NONE

static final String LINE_STYLE_NONE
design constant: line style none

See Also:
  - Constant Field Values

### LINE_STYLE_SOLID

static final String LINE_STYLE_SOLID
design constant: line style solid

See Also:
  - Constant Field Values

### LINE_STYLE_DOTTED

static final String LINE_STYLE_DOTTED
design constant: line style dotted

See Also:
  - Constant Field Values

### LINE_STYLE_DASHED

static final String LINE_STYLE_DASHED
design constant: line style dashed

See Also:
  - Constant Field Values

### LINE_STYLE_DOUBLE

static final String LINE_STYLE_DOUBLE
design constant: line style double

See Also:
  - Constant Field Values

### LINE_STYLE_GROOVE

static final String LINE_STYLE_GROOVE
design constant: line style groove

See Also:
  - Constant Field Values

### LINE_STYLE_RIDGE

static final String LINE_STYLE_RIDGE
design constant: line style ridge

See Also:
  - Constant Field Values

### LINE_STYLE_INSET

static final String LINE_STYLE_INSET
design constant: line style inset

See Also:
  - Constant Field Values

### LINE_STYLE_OUTSET

static final String LINE_STYLE_OUTSET
design constant: line style outset

See Also:
  - Constant Field Values

### CHOICE_UNITS

static final String CHOICE_UNITS
design constant: choice units

See Also:
  - Constant Field Values

### UNITS_IN

static final String UNITS_IN
design constant: units in

See Also:
  - Constant Field Values

### UNITS_CM

static final String UNITS_CM
design constant: units cm

See Also:
  - Constant Field Values

### UNITS_MM

static final String UNITS_MM
design constant: units mm

See Also:
  - Constant Field Values

### UNITS_PT

static final String UNITS_PT
design constant: units pt

See Also:
  - Constant Field Values

### UNITS_PC

static final String UNITS_PC
design constant: units pc

See Also:
  - Constant Field Values

### UNITS_EM

static final String UNITS_EM
design constant: units em

See Also:
  - Constant Field Values

### UNITS_EX

static final String UNITS_EX
design constant: units ex

See Also:
  - Constant Field Values

### UNITS_PX

static final String UNITS_PX
design constant: units px

See Also:
  - Constant Field Values

### UNITS_PERCENTAGE

static final String UNITS_PERCENTAGE
design constant: units percentage

See Also:
  - Constant Field Values

### CHOICE_PARAM_TYPE

static final String CHOICE_PARAM_TYPE
design constant: choice param type

See Also:
  - Constant Field Values

### PARAM_TYPE_STRING

static final String PARAM_TYPE_STRING
design constant: param type string

See Also:
  - Constant Field Values

### PARAM_TYPE_FLOAT

static final String PARAM_TYPE_FLOAT
design constant: param type float

See Also:
  - Constant Field Values

### PARAM_TYPE_DECIMAL

static final String PARAM_TYPE_DECIMAL
design constant: param type decimal

See Also:
  - Constant Field Values

### PARAM_TYPE_DATETIME

static final String PARAM_TYPE_DATETIME
design constant: param type datetime

See Also:
  - Constant Field Values

### PARAM_TYPE_BOOLEAN

static final String PARAM_TYPE_BOOLEAN
design constant: param type boolean

See Also:
  - Constant Field Values

### PARAM_TYPE_INTEGER

static final String PARAM_TYPE_INTEGER
design constant: param type integer

See Also:
  - Constant Field Values

### PARAM_TYPE_JAVA_OBJECT

static final String PARAM_TYPE_JAVA_OBJECT
design constant: param type java object

See Also:
  - Constant Field Values

### PARAM_TYPE_ANY

@Deprecated static final String PARAM_TYPE_ANY
Deprecated.
Now any is not supported.

See Also:
  - Constant Field Values

### PARAM_TYPE_DATE

static final String PARAM_TYPE_DATE
design constant: param type date

See Also:
  - Constant Field Values

### PARAM_TYPE_TIME

static final String PARAM_TYPE_TIME
design constant: param type time

See Also:
  - Constant Field Values

### CHOICE_PARAM_VALUE_TYPE

static final String CHOICE_PARAM_VALUE_TYPE
design constant: choice param value type

See Also:
  - Constant Field Values

### PARAM_VALUE_TYPE_STATIC

static final String PARAM_VALUE_TYPE_STATIC
design constant: param value type static

See Also:
  - Constant Field Values

### PARAM_VALUE_TYPE_DYNAMIC

static final String PARAM_VALUE_TYPE_DYNAMIC
design constant: param value type dynamic

See Also:
  - Constant Field Values

### CHOICE_PARAM_CONTROL

static final String CHOICE_PARAM_CONTROL
design constant: choice param control

See Also:
  - Constant Field Values

### PARAM_CONTROL_TEXT_BOX

static final String PARAM_CONTROL_TEXT_BOX
design constant: param control text box

See Also:
  - Constant Field Values

### PARAM_CONTROL_LIST_BOX

static final String PARAM_CONTROL_LIST_BOX
design constant: param control list box

See Also:
  - Constant Field Values

### PARAM_CONTROL_RADIO_BUTTON

static final String PARAM_CONTROL_RADIO_BUTTON
design constant: param control radio button

See Also:
  - Constant Field Values

### PARAM_CONTROL_CHECK_BOX

static final String PARAM_CONTROL_CHECK_BOX
design constant: param control check box

See Also:
  - Constant Field Values

### PARAM_CONTROL_AUTO_SUGGEST

static final String PARAM_CONTROL_AUTO_SUGGEST
design constant: param control auto suggest

See Also:
  - Constant Field Values

### CHOICE_TEXT_ALIGN

static final String CHOICE_TEXT_ALIGN
design constant: choice text align

See Also:
  - Constant Field Values

### TEXT_ALIGN_LEFT

static final String TEXT_ALIGN_LEFT
design constant: text align left

See Also:
  - Constant Field Values

### TEXT_ALIGN_CENTER

static final String TEXT_ALIGN_CENTER
design constant: text align center

See Also:
  - Constant Field Values

### TEXT_ALIGN_RIGHT

static final String TEXT_ALIGN_RIGHT
design constant: text align right

See Also:
  - Constant Field Values

### TEXT_ALIGN_JUSTIFY

static final String TEXT_ALIGN_JUSTIFY
design constant: text align justify

See Also:
  - Constant Field Values

### CHOICE_PAGE_SIZE

static final String CHOICE_PAGE_SIZE
design constant: choice page size

See Also:
  - Constant Field Values

### PAGE_SIZE_CUSTOM

static final String PAGE_SIZE_CUSTOM
design constant: page size custom

See Also:
  - Constant Field Values

### PAGE_SIZE_US_LETTER

static final String PAGE_SIZE_US_LETTER
design constant: page size us letter

See Also:
  - Constant Field Values

### PAGE_SIZE_US_LEGAL

static final String PAGE_SIZE_US_LEGAL
design constant: page size us legal

See Also:
  - Constant Field Values

### PAGE_SIZE_A4

static final String PAGE_SIZE_A4
design constant: page size a4

See Also:
  - Constant Field Values

### PAGE_SIZE_A3

static final String PAGE_SIZE_A3
design constant: page size a3

See Also:
  - Constant Field Values

### PAGE_SIZE_A5

static final String PAGE_SIZE_A5
design constant: page size a5

See Also:
  - Constant Field Values

### PAGE_SIZE_US_LEDGER

static final String PAGE_SIZE_US_LEDGER
design constant: page size us ledger

See Also:
  - Constant Field Values

### PAGE_SIZE_US_SUPER_B

static final String PAGE_SIZE_US_SUPER_B
design constant: page size us super b

See Also:
  - Constant Field Values

### CHOICE_PAGE_ORIENTATION

static final String CHOICE_PAGE_ORIENTATION
design constant: choice page orientation

See Also:
  - Constant Field Values

### PAGE_ORIENTATION_AUTO

static final String PAGE_ORIENTATION_AUTO
design constant: page orientation auto

See Also:
  - Constant Field Values

### PAGE_ORIENTATION_PORTRAIT

static final String PAGE_ORIENTATION_PORTRAIT
design constant: page orientation portrait

See Also:
  - Constant Field Values

### PAGE_ORIENTATION_LANDSCAPE

static final String PAGE_ORIENTATION_LANDSCAPE
design constant: page orientation landscape

See Also:
  - Constant Field Values

### CHOICE_INTERVAL

static final String CHOICE_INTERVAL
design constant: choice interval

See Also:
  - Constant Field Values

### INTERVAL_NONE

static final String INTERVAL_NONE
design constant: interval none

See Also:
  - Constant Field Values

### INTERVAL_PREFIX

static final String INTERVAL_PREFIX
design constant: interval prefix

See Also:
  - Constant Field Values

### INTERVAL_YEAR

static final String INTERVAL_YEAR
design constant: interval year

See Also:
  - Constant Field Values

### INTERVAL_QUARTER

static final String INTERVAL_QUARTER
design constant: interval quarter

See Also:
  - Constant Field Values

### INTERVAL_MONTH

static final String INTERVAL_MONTH
design constant: interval month

See Also:
  - Constant Field Values

### INTERVAL_WEEK

static final String INTERVAL_WEEK
design constant: interval week

See Also:
  - Constant Field Values

### INTERVAL_DAY

static final String INTERVAL_DAY
design constant: interval day

See Also:
  - Constant Field Values

### INTERVAL_HOUR

static final String INTERVAL_HOUR
design constant: interval hour

See Also:
  - Constant Field Values

### INTERVAL_MINUTE

static final String INTERVAL_MINUTE
design constant: interval minute

See Also:
  - Constant Field Values

### INTERVAL_SECOND

static final String INTERVAL_SECOND
design constant: interval second

See Also:
  - Constant Field Values

### INTERVAL_INTERVAL

static final String INTERVAL_INTERVAL
design constant: interval interval

See Also:
  - Constant Field Values

### CHOICE_INTERVAL_TYPE

static final String CHOICE_INTERVAL_TYPE
design constant: choice interval type

See Also:
  - Constant Field Values

### INTERVAL_TYPE_NONE

static final String INTERVAL_TYPE_NONE
design constant: interval type none

See Also:
  - Constant Field Values

### INTERVAL_TYPE_PREFIX

static final String INTERVAL_TYPE_PREFIX
design constant: interval type prefix

See Also:
  - Constant Field Values

### INTERVAL_TYPE_INTERVAL

static final String INTERVAL_TYPE_INTERVAL
design constant: interval type interval

See Also:
  - Constant Field Values

### CHOICE_SORT_DIRECTION

static final String CHOICE_SORT_DIRECTION
design constant: choice sort direction

See Also:
  - Constant Field Values

### SORT_DIRECTION_ASC

static final String SORT_DIRECTION_ASC
design constant: sort direction asc

See Also:
  - Constant Field Values

### SORT_DIRECTION_DESC

static final String SORT_DIRECTION_DESC
design constant: sort direction desc

See Also:
  - Constant Field Values

### CHOICE_MAP_OPERATOR

static final String CHOICE_MAP_OPERATOR
design constant: choice map operator

See Also:
  - Constant Field Values

### MAP_OPERATOR_EQ

static final String MAP_OPERATOR_EQ
design constant: map operator eq

See Also:
  - Constant Field Values

### MAP_OPERATOR_NE

static final String MAP_OPERATOR_NE
design constant: map operator ne

See Also:
  - Constant Field Values

### MAP_OPERATOR_LT

static final String MAP_OPERATOR_LT
design constant: map operator lt

See Also:
  - Constant Field Values

### MAP_OPERATOR_LE

static final String MAP_OPERATOR_LE
design constant: map operator le

See Also:
  - Constant Field Values

### MAP_OPERATOR_GE

static final String MAP_OPERATOR_GE
design constant: map operator ge

See Also:
  - Constant Field Values

### MAP_OPERATOR_GT

static final String MAP_OPERATOR_GT
design constant: map operator gt

See Also:
  - Constant Field Values

### MAP_OPERATOR_BETWEEN

static final String MAP_OPERATOR_BETWEEN
design constant: map operator between

See Also:
  - Constant Field Values

### MAP_OPERATOR_NOT_BETWEEN

static final String MAP_OPERATOR_NOT_BETWEEN
design constant: map operator not between

See Also:
  - Constant Field Values

### MAP_OPERATOR_NULL

static final String MAP_OPERATOR_NULL
design constant: map operator null

See Also:
  - Constant Field Values

### MAP_OPERATOR_NOT_NULL

static final String MAP_OPERATOR_NOT_NULL
design constant: map operator not null

See Also:
  - Constant Field Values

### MAP_OPERATOR_TRUE

static final String MAP_OPERATOR_TRUE
design constant: map operator true

See Also:
  - Constant Field Values

### MAP_OPERATOR_FALSE

static final String MAP_OPERATOR_FALSE
design constant: map operator false

See Also:
  - Constant Field Values

### MAP_OPERATOR_LIKE

static final String MAP_OPERATOR_LIKE
design constant: map operator like

See Also:
  - Constant Field Values

### MAP_OPERATOR_MATCH

static final String MAP_OPERATOR_MATCH
design constant: map operator match

See Also:
  - Constant Field Values

### MAP_OPERATOR_TOP_N

static final String MAP_OPERATOR_TOP_N
design constant: map operator top n

See Also:
  - Constant Field Values

### MAP_OPERATOR_BOTTOM_N

static final String MAP_OPERATOR_BOTTOM_N
design constant: map operator bottom n

See Also:
  - Constant Field Values

### MAP_OPERATOR_TOP_PERCENT

static final String MAP_OPERATOR_TOP_PERCENT
design constant: map operator top percent

See Also:
  - Constant Field Values

### MAP_OPERATOR_BOTTOM_PERCENT

static final String MAP_OPERATOR_BOTTOM_PERCENT
design constant: map operator bottom percent

See Also:
  - Constant Field Values

### MAP_OPERATOR_NOT_LIKE

static final String MAP_OPERATOR_NOT_LIKE
design constant: map operator not like

See Also:
  - Constant Field Values

### MAP_OPERATOR_NOT_MATCH

static final String MAP_OPERATOR_NOT_MATCH
design constant: map operator not match

See Also:
  - Constant Field Values

### MAP_OPERATOR_ANY

static final String MAP_OPERATOR_ANY
design constant: map operator any

See Also:
  - Constant Field Values

### MAP_OPERATOR_NOT_IN

static final String MAP_OPERATOR_NOT_IN
design constant: map operator not in

See Also:
  - Constant Field Values

### MAP_OPERATOR_IN

static final String MAP_OPERATOR_IN
design constant: map operator in

See Also:
  - Constant Field Values

### CHOICE_IMAGE_SIZE

static final String CHOICE_IMAGE_SIZE
design constant: choice image size

See Also:
  - Constant Field Values

### IMAGE_SIZE_SIZE_TO_IMAGE

static final String IMAGE_SIZE_SIZE_TO_IMAGE
design constant: image size size to image

See Also:
  - Constant Field Values

### IMAGE_SIZE_SCALE_TO_ITEM

static final String IMAGE_SIZE_SCALE_TO_ITEM
design constant: image size scale to item

See Also:
  - Constant Field Values

### IMAGE_SIZE_CLIP

static final String IMAGE_SIZE_CLIP
design constant: image size clip

See Also:
  - Constant Field Values

### CHOICE_LINE_ORIENTATION

static final String CHOICE_LINE_ORIENTATION
design constant: choice line orientation

See Also:
  - Constant Field Values

### LINE_ORIENTATION_HORIZONTAL

static final String LINE_ORIENTATION_HORIZONTAL
design constant: line orientation horizontal

See Also:
  - Constant Field Values

### LINE_ORIENTATION_VERTICAL

static final String LINE_ORIENTATION_VERTICAL
design constant: line orientation vertical

See Also:
  - Constant Field Values

### CHOICE_SECTION_ALIGN

static final String CHOICE_SECTION_ALIGN
design constant: choice section align

See Also:
  - Constant Field Values

### SECTION_ALIGN_LEFT

static final String SECTION_ALIGN_LEFT
design constant: section align left

See Also:
  - Constant Field Values

### SECTION_ALIGN_CENTER

static final String SECTION_ALIGN_CENTER
design constant: section align center

See Also:
  - Constant Field Values

### SECTION_ALIGN_RIGHT

static final String SECTION_ALIGN_RIGHT
design constant: section align right

See Also:
  - Constant Field Values

### CHOICE_DROP_TYPE

static final String CHOICE_DROP_TYPE
design constant: choice drop type

See Also:
  - Constant Field Values

### DROP_TYPE_NONE

static final String DROP_TYPE_NONE
design constant: drop type none

See Also:
  - Constant Field Values

### DROP_TYPE_DETAIL

static final String DROP_TYPE_DETAIL
design constant: drop type detail

See Also:
  - Constant Field Values

### DROP_TYPE_ALL

static final String DROP_TYPE_ALL
design constant: drop type all

See Also:
  - Constant Field Values

### CHOICE_IMAGE_TYPE

static final String CHOICE_IMAGE_TYPE
design constant: choice image type

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_BMP

static final String IMAGE_TYPE_IMAGE_BMP
design constant: image type image bmp

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_GIF

static final String IMAGE_TYPE_IMAGE_GIF
design constant: image type image gif

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_PNG

static final String IMAGE_TYPE_IMAGE_PNG
design constant: image type image png

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_X_PNG

static final String IMAGE_TYPE_IMAGE_X_PNG
design constant: image type image x png

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_JPEG

static final String IMAGE_TYPE_IMAGE_JPEG
design constant: image type image jpeg

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_ICO

static final String IMAGE_TYPE_IMAGE_ICO
design constant: image type image ico

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_TIFF

static final String IMAGE_TYPE_IMAGE_TIFF
design constant: image type image tiff

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_SVG

static final String IMAGE_TYPE_IMAGE_SVG
design constant: image type image svg

See Also:
  - Constant Field Values

### IMAGE_TYPE_IMAGE_X_ICON

static final String IMAGE_TYPE_IMAGE_X_ICON
design constant: image type image x icon

See Also:
  - Constant Field Values

### CHOICE_LINE_SPACING

static final String CHOICE_LINE_SPACING
design constant: choice line spacing

See Also:
  - Constant Field Values

### LINE_SPACING_LINES

static final String LINE_SPACING_LINES
design constant: line spacing lines

See Also:
  - Constant Field Values

### LINE_SPACING_EXACT

static final String LINE_SPACING_EXACT
design constant: line spacing exact

See Also:
  - Constant Field Values

### CHOICE_ACTION_LINK_TYPE

static final String CHOICE_ACTION_LINK_TYPE
design constant: choice action link type

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_NONE

static final String ACTION_LINK_TYPE_NONE
design constant: action link type none

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_HYPERLINK

static final String ACTION_LINK_TYPE_HYPERLINK
design constant: action link type hyperlink

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_DRILL_THROUGH

static final String ACTION_LINK_TYPE_DRILL_THROUGH
design constant: action link type drill through

See Also:
  - Constant Field Values

### ACTION_LINK_TYPE_BOOKMARK_LINK

static final String ACTION_LINK_TYPE_BOOKMARK_LINK
design constant: action link type bookmark link

See Also:
  - Constant Field Values

### CHOICE_ACTION_FORMAT_TYPE

static final String CHOICE_ACTION_FORMAT_TYPE
design constant: choice action format type

See Also:
  - Constant Field Values

### ACTION_FORMAT_TYPE_HTML

static final String ACTION_FORMAT_TYPE_HTML
design constant: action format type html

See Also:
  - Constant Field Values

### ACTION_FORMAT_TYPE_PDF

static final String ACTION_FORMAT_TYPE_PDF
design constant: action format type pdf

See Also:
  - Constant Field Values

### CHOICE_TEXT_CONTENT_TYPE

static final String CHOICE_TEXT_CONTENT_TYPE
design constant: choice text content type

See Also:
  - Constant Field Values

### TEXT_CONTENT_TYPE_AUTO

static final String TEXT_CONTENT_TYPE_AUTO
design constant: text content type auto

See Also:
  - Constant Field Values

### TEXT_CONTENT_TYPE_PLAIN

static final String TEXT_CONTENT_TYPE_PLAIN
design constant: text content type plain

See Also:
  - Constant Field Values

### TEXT_CONTENT_TYPE_HTML

static final String TEXT_CONTENT_TYPE_HTML
design constant: text content type html

See Also:
  - Constant Field Values

### TEXT_CONTENT_TYPE_RTF

static final String TEXT_CONTENT_TYPE_RTF
design constant: text content type rtf

See Also:
  - Constant Field Values

### CHOICE_TEXT_DATA_CONTENT_TYPE

static final String CHOICE_TEXT_DATA_CONTENT_TYPE
design constant: choice text data content type

See Also:
  - Constant Field Values

### TEXT_DATA_CONTENT_TYPE_AUTO

static final String TEXT_DATA_CONTENT_TYPE_AUTO
design constant: text data content type auto

See Also:
  - Constant Field Values

### TEXT_DATA_CONTENT_TYPE_PLAIN

static final String TEXT_DATA_CONTENT_TYPE_PLAIN
design constant: text data content type plain

See Also:
  - Constant Field Values

### TEXT_DATA_CONTENT_TYPE_HTML

static final String TEXT_DATA_CONTENT_TYPE_HTML
design constant: text data content type html

See Also:
  - Constant Field Values

### TEXT_DATA_CONTENT_TYPE_RTF

static final String TEXT_DATA_CONTENT_TYPE_RTF
design constant: text data content type rtf

See Also:
  - Constant Field Values

### CHOICE_OPRHANS

static final String CHOICE_OPRHANS
design constant: choice oprhans

See Also:
  - Constant Field Values

### ORPHANS_INHERIT

static final String ORPHANS_INHERIT
design constant: orphans inherit

See Also:
  - Constant Field Values

### CHOICE_WIDOWS

static final String CHOICE_WIDOWS
design constant: choice widows

See Also:
  - Constant Field Values

### WIDOWS_INHERIT

static final String WIDOWS_INHERIT
design constant: widows inherit

See Also:
  - Constant Field Values

### CHOICE_FORMAT_TYPE

static final String CHOICE_FORMAT_TYPE
design constant: choice format type

See Also:
  - Constant Field Values

### FORMAT_TYPE_ALL

static final String FORMAT_TYPE_ALL
design constant: format type all

See Also:
  - Constant Field Values

### FORMAT_TYPE_VIEWER

static final String FORMAT_TYPE_VIEWER
design constant: format type viewer

See Also:
  - Constant Field Values

### FORMAT_TYPE_EMAIL

static final String FORMAT_TYPE_EMAIL
design constant: format type email

See Also:
  - Constant Field Values

### FORMAT_TYPE_PRINT

static final String FORMAT_TYPE_PRINT
design constant: format type print

See Also:
  - Constant Field Values

### FORMAT_TYPE_PDF

static final String FORMAT_TYPE_PDF
design constant: format type pdf

See Also:
  - Constant Field Values

### FORMAT_TYPE_RTF

static final String FORMAT_TYPE_RTF
design constant: format type rtf

See Also:
  - Constant Field Values

### FORMAT_TYPE_REPORTLET

static final String FORMAT_TYPE_REPORTLET
design constant: format type reportlet

See Also:
  - Constant Field Values

### FORMAT_TYPE_EXCEL

static final String FORMAT_TYPE_EXCEL
design constant: format type excel

See Also:
  - Constant Field Values

### FORMAT_TYPE_WORD

static final String FORMAT_TYPE_WORD
design constant: format type word

See Also:
  - Constant Field Values

### FORMAT_TYPE_POWERPOINT

static final String FORMAT_TYPE_POWERPOINT
design constant: format type powerpoint

See Also:
  - Constant Field Values

### FORMAT_TYPE_DOC

static final String FORMAT_TYPE_DOC
design constant: format type doc

See Also:
  - Constant Field Values

### CHOICE_IMAGE_REF_TYPE

static final String CHOICE_IMAGE_REF_TYPE
design constant: choice image ref type

See Also:
  - Constant Field Values

### IMAGE_REF_TYPE_NONE

static final String IMAGE_REF_TYPE_NONE
design constant: image ref type none

See Also:
  - Constant Field Values

### IMAGE_REF_TYPE_FILE

static final String IMAGE_REF_TYPE_FILE
design constant: image ref type file

See Also:
  - Constant Field Values

### IMAGE_REF_TYPE_URL

static final String IMAGE_REF_TYPE_URL
design constant: image ref type url

See Also:
  - Constant Field Values

### IMAGE_REF_TYPE_EXPR

static final String IMAGE_REF_TYPE_EXPR
design constant: image ref type expr

See Also:
  - Constant Field Values

### IMAGE_REF_TYPE_EMBED

static final String IMAGE_REF_TYPE_EMBED
design constant: image ref type embed

See Also:
  - Constant Field Values

### CHOICE_PROPERTY_MASK_TYPE

static final String CHOICE_PROPERTY_MASK_TYPE
design constant: choice property mask type

See Also:
  - Constant Field Values

### PROPERTY_MASK_TYPE_CHANGE

static final String PROPERTY_MASK_TYPE_CHANGE
design constant: property mask type change

See Also:
  - Constant Field Values

### PROPERTY_MASK_TYPE_LOCK

static final String PROPERTY_MASK_TYPE_LOCK
design constant: property mask type lock

See Also:
  - Constant Field Values

### PROPERTY_MASK_TYPE_HIDE

static final String PROPERTY_MASK_TYPE_HIDE
design constant: property mask type hide

See Also:
  - Constant Field Values

### CHOICE_SCALAR_PARAM_ALIGN

static final String CHOICE_SCALAR_PARAM_ALIGN
design constant: choice scalar param align

See Also:
  - Constant Field Values

### SCALAR_PARAM_ALIGN_AUTO

static final String SCALAR_PARAM_ALIGN_AUTO
design constant: scalar param align auto

See Also:
  - Constant Field Values

### SCALAR_PARAM_ALIGN_LEFT

static final String SCALAR_PARAM_ALIGN_LEFT
design constant: scalar param align left

See Also:
  - Constant Field Values

### SCALAR_PARAM_ALIGN_CENTER

static final String SCALAR_PARAM_ALIGN_CENTER
design constant: scalar param align center

See Also:
  - Constant Field Values

### SCALAR_PARAM_ALIGN_RIGHT

static final String SCALAR_PARAM_ALIGN_RIGHT
design constant: scalar param align right

See Also:
  - Constant Field Values

### CHOICE_COLUMN_DATA_TYPE

static final String CHOICE_COLUMN_DATA_TYPE
design constant: choice column data type

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_ANY

@Deprecated static final String COLUMN_DATA_TYPE_ANY
Deprecated.
this choice is removed since 2.3

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_INTEGER

static final String COLUMN_DATA_TYPE_INTEGER
design constant: column data type integer

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_STRING

static final String COLUMN_DATA_TYPE_STRING
design constant: column data type string

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_DATETIME

static final String COLUMN_DATA_TYPE_DATETIME
design constant: column data type datetime

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_DECIMAL

static final String COLUMN_DATA_TYPE_DECIMAL
design constant: column data type decimal

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_FLOAT

static final String COLUMN_DATA_TYPE_FLOAT
design constant: column data type float

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_BOOLEAN

static final String COLUMN_DATA_TYPE_BOOLEAN
design constant: column data type boolean

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_DATE

static final String COLUMN_DATA_TYPE_DATE
design constant: column data type date

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_TIME

static final String COLUMN_DATA_TYPE_TIME
design constant: column data type time

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_BLOB

static final String COLUMN_DATA_TYPE_BLOB
design constant: column data type blob

See Also:
  - Constant Field Values

### COLUMN_DATA_TYPE_JAVA_OBJECT

static final String COLUMN_DATA_TYPE_JAVA_OBJECT
design constant: column data type java object

See Also:
  - Constant Field Values

### CHOICE_SEARCH_TYPE

static final String CHOICE_SEARCH_TYPE
design constant: choice search type

See Also:
  - Constant Field Values

### SEARCH_TYPE_ANY

static final String SEARCH_TYPE_ANY
design constant: search type any

See Also:
  - Constant Field Values

### SEARCH_TYPE_INDEXED

static final String SEARCH_TYPE_INDEXED
design constant: search type indexed

See Also:
  - Constant Field Values

### SEARCH_TYPE_NONE

static final String SEARCH_TYPE_NONE
design constant: search type none

See Also:
  - Constant Field Values

### CHOICE_EXPORT_TYPE

static final String CHOICE_EXPORT_TYPE
design constant: choice export type

See Also:
  - Constant Field Values

### EXPORT_TYPE_NONE

static final String EXPORT_TYPE_NONE
design constant: export type none

See Also:
  - Constant Field Values

### EXPORT_TYPE_IF_REALIZED

static final String EXPORT_TYPE_IF_REALIZED
design constant: export type if realized

See Also:
  - Constant Field Values

### EXPORT_TYPE_ALWAYS

static final String EXPORT_TYPE_ALWAYS
design constant: export type always

See Also:
  - Constant Field Values

### CHOICE_ANALYSIS_TYPE

static final String CHOICE_ANALYSIS_TYPE
design constant: choice analysis type

See Also:
  - Constant Field Values

### ANALYSIS_TYPE_AUTO

@Deprecated static final String ANALYSIS_TYPE_AUTO
Deprecated.
in 2.5.1: this choice is not supported

See Also:
  - Constant Field Values

### ANALYSIS_TYPE_DIMENSION

static final String ANALYSIS_TYPE_DIMENSION
design constant: analysis type dimension

See Also:
  - Constant Field Values

### ANALYSIS_TYPE_ATTRIBUTE

static final String ANALYSIS_TYPE_ATTRIBUTE
design constant: analysis type attribute

See Also:
  - Constant Field Values

### ANALYSIS_TYPE_MEASURE

static final String ANALYSIS_TYPE_MEASURE
design constant: analysis type measure

See Also:
  - Constant Field Values

### ANALYSIS_TYPE_DETAIL

@Deprecated static final String ANALYSIS_TYPE_DETAIL
Deprecated.
in 2.5.1: this choice is not supported

See Also:
  - Constant Field Values

### ANALYSIS_TYPE_NONE

@Deprecated static final String ANALYSIS_TYPE_NONE
Deprecated.
in 2.5.1: this choice is not supported

See Also:
  - Constant Field Values

### CHOICE_FILTER_OPERATOR

static final String CHOICE_FILTER_OPERATOR
design constant: choice filter operator

See Also:
  - Constant Field Values

### FILTER_OPERATOR_EQ

static final String FILTER_OPERATOR_EQ
design constant: filter operator eq

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NE

static final String FILTER_OPERATOR_NE
design constant: filter operator ne

See Also:
  - Constant Field Values

### FILTER_OPERATOR_LT

static final String FILTER_OPERATOR_LT
design constant: filter operator lt

See Also:
  - Constant Field Values

### FILTER_OPERATOR_LE

static final String FILTER_OPERATOR_LE
design constant: filter operator le

See Also:
  - Constant Field Values

### FILTER_OPERATOR_GE

static final String FILTER_OPERATOR_GE
design constant: filter operator ge

See Also:
  - Constant Field Values

### FILTER_OPERATOR_GT

static final String FILTER_OPERATOR_GT
design constant: filter operator gt

See Also:
  - Constant Field Values

### FILTER_OPERATOR_BETWEEN

static final String FILTER_OPERATOR_BETWEEN
design constant: filter operator between

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_BETWEEN

static final String FILTER_OPERATOR_NOT_BETWEEN
design constant: filter operator not between

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NULL

static final String FILTER_OPERATOR_NULL
design constant: filter operator null

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_NULL

static final String FILTER_OPERATOR_NOT_NULL
design constant: filter operator not null

See Also:
  - Constant Field Values

### FILTER_OPERATOR_TRUE

static final String FILTER_OPERATOR_TRUE
design constant: filter operator true

See Also:
  - Constant Field Values

### FILTER_OPERATOR_FALSE

static final String FILTER_OPERATOR_FALSE
design constant: filter operator false

See Also:
  - Constant Field Values

### FILTER_OPERATOR_LIKE

static final String FILTER_OPERATOR_LIKE
design constant: filter operator like

See Also:
  - Constant Field Values

### FILTER_OPERATOR_TOP_N

static final String FILTER_OPERATOR_TOP_N
design constant: filter operator top n

See Also:
  - Constant Field Values

### FILTER_OPERATOR_BOTTOM_N

static final String FILTER_OPERATOR_BOTTOM_N
design constant: filter operator bottom n

See Also:
  - Constant Field Values

### FILTER_OPERATOR_TOP_PERCENT

static final String FILTER_OPERATOR_TOP_PERCENT
design constant: filter operator top percent

See Also:
  - Constant Field Values

### FILTER_OPERATOR_BOTTOM_PERCENT

static final String FILTER_OPERATOR_BOTTOM_PERCENT
design constant: filter operator bottom percent

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_IN

static final String FILTER_OPERATOR_NOT_IN
design constant: filter operator not in

See Also:
  - Constant Field Values

### FILTER_OPERATOR_ANY

@Deprecated static final String FILTER_OPERATOR_ANY
Deprecated.
in BIRT 2.1. This operator is not supported.

See Also:
  - Constant Field Values

### FILTER_OPERATOR_MATCH

static final String FILTER_OPERATOR_MATCH
design constant: filter operator match

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_LIKE

static final String FILTER_OPERATOR_NOT_LIKE
design constant: filter operator not like

See Also:
  - Constant Field Values

### FILTER_OPERATOR_NOT_MATCH

static final String FILTER_OPERATOR_NOT_MATCH
design constant: filter operator not match

See Also:
  - Constant Field Values

### FILTER_OPERATOR_IN

static final String FILTER_OPERATOR_IN
design constant: filter operator in

See Also:
  - Constant Field Values

### CHOICE_COLUMN_ALIGN

static final String CHOICE_COLUMN_ALIGN
design constant: choice column align

See Also:
  - Constant Field Values

### COLUMN_ALIGN_LEFT

static final String COLUMN_ALIGN_LEFT
design constant: column align left

See Also:
  - Constant Field Values

### COLUMN_ALIGN_CENTER

static final String COLUMN_ALIGN_CENTER
design constant: column align center

See Also:
  - Constant Field Values

### COLUMN_ALIGN_RIGHT

static final String COLUMN_ALIGN_RIGHT
design constant: column align right

See Also:
  - Constant Field Values

### CHOICE_QUERY_CHOICE_TYPE

static final String CHOICE_QUERY_CHOICE_TYPE
design constant: choice query choice type

See Also:
  - Constant Field Values

### QUERY_CHOICE_TYPE_NONE

static final String QUERY_CHOICE_TYPE_NONE
design constant: query choice type none

See Also:
  - Constant Field Values

### QUERY_CHOICE_TYPE_TEXT

static final String QUERY_CHOICE_TYPE_TEXT
design constant: query choice type text

See Also:
  - Constant Field Values

### QUERY_CHOICE_TYPE_SCRIPT

static final String QUERY_CHOICE_TYPE_SCRIPT
design constant: query choice type script

See Also:
  - Constant Field Values

### VALUE_FORMAT_TYPE_CUSTOM

static final String VALUE_FORMAT_TYPE_CUSTOM
design constant: value format type custom

See Also:
  - Constant Field Values

### CHOICE_NUMBER_FORMAT_TYPE

static final String CHOICE_NUMBER_FORMAT_TYPE
design constant: choice number format type

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_UNFORMATTED

static final String NUMBER_FORMAT_TYPE_UNFORMATTED
design constant: number format type unformatted

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_GENERAL_NUMBER

static final String NUMBER_FORMAT_TYPE_GENERAL_NUMBER
design constant: number format type general number

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_CURRENCY

static final String NUMBER_FORMAT_TYPE_CURRENCY
design constant: number format type currency

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_FIXED

static final String NUMBER_FORMAT_TYPE_FIXED
design constant: number format type fixed

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_PERCENT

static final String NUMBER_FORMAT_TYPE_PERCENT
design constant: number format type percent

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_SCIENTIFIC

static final String NUMBER_FORMAT_TYPE_SCIENTIFIC
design constant: number format type scientific

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_STANDARD

static final String NUMBER_FORMAT_TYPE_STANDARD
design constant: number format type standard

See Also:
  - Constant Field Values

### NUMBER_FORMAT_TYPE_CUSTOM

static final String NUMBER_FORMAT_TYPE_CUSTOM
design constant: number format type custom

See Also:
  - Constant Field Values

### CHOICE_DATETIME_FORMAT_TYPE

static final String CHOICE_DATETIME_FORMAT_TYPE
design constant: choice datetime format type

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_UNFORMATTED

static final String DATETIME_FORMAT_TYPE_UNFORMATTED
design constant: datetime format type unformatted

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_DATE_PICKER

static final String DATETIME_FORMAT_TYPE_DATE_PICKER
design constant: datetime format type medium date

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_SHORT_TIME

static final String DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_SHORT_TIME
design constant: datetime format type medium date with short time

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_MEDIUM_TIME

static final String DATETIME_FORMAT_TYPE_DATE_TIME_PICKER_MEDIUM_TIME
design constant: datetime format type general date with medium time

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_GENERAL_DATE

static final String DATETIME_FORMAT_TYPE_GENERAL_DATE
design constant: datetime format type general date

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_LONG_DATE

static final String DATETIME_FORMAT_TYPE_LONG_DATE
design constant: datetime format type long date

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_MEDIUM_DATE

static final String DATETIME_FORMAT_TYPE_MEDIUM_DATE
design constant: datetime format type mudium date

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_SHORT_DATE

static final String DATETIME_FORMAT_TYPE_SHORT_DATE
design constant: datetime format type short date

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_LONG_TIME

static final String DATETIME_FORMAT_TYPE_LONG_TIME
design constant: datetime format type long time

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_MEDIUM_TIME

static final String DATETIME_FORMAT_TYPE_MEDIUM_TIME
design constant: datetime format type medium time

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_SHORT_TIME

static final String DATETIME_FORMAT_TYPE_SHORT_TIME
design constant: datetime format type short time

See Also:
  - Constant Field Values

### DATETIME_FORMAT_TYPE_CUSTOM

static final String DATETIME_FORMAT_TYPE_CUSTOM
design constant: datetime format type custom

See Also:
  - Constant Field Values

### CHOICE_DATE_FORMAT_TYPE

static final String CHOICE_DATE_FORMAT_TYPE
design constant: choice date format type

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_UNFORMATTED

static final String DATE_FORMAT_TYPE_UNFORMATTED
design constant: date format type unformatted

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_DATE_PICKER

static final String DATE_FORMAT_TYPE_DATE_PICKER
design constant: date format type general date

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_GENERAL_DATE

static final String DATE_FORMAT_TYPE_GENERAL_DATE
design constant: date format type general date

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_LONG_DATE

static final String DATE_FORMAT_TYPE_LONG_DATE
design constant: date format type long date

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_MEDIUM_DATE

static final String DATE_FORMAT_TYPE_MEDIUM_DATE
design constant: date format type mudium date

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_SHORT_DATE

static final String DATE_FORMAT_TYPE_SHORT_DATE
design constant: date format type short date

See Also:
  - Constant Field Values

### DATE_FORMAT_TYPE_CUSTOM

static final String DATE_FORMAT_TYPE_CUSTOM
design constant: date format type custom

See Also:
  - Constant Field Values

### CHOICE_TIME_FORMAT_TYPE

static final String CHOICE_TIME_FORMAT_TYPE
design constant: choice time format type

See Also:
  - Constant Field Values

### TIME_FORMAT_TYPE_TIME_PICKER_SHORT_TIME

static final String TIME_FORMAT_TYPE_TIME_PICKER_SHORT_TIME
design constant: date format type general date

See Also:
  - Constant Field Values

### TIME_FORMAT_TYPE_TIME_PICKER_MEDIUM_TIME

static final String TIME_FORMAT_TYPE_TIME_PICKER_MEDIUM_TIME
design constant: date format type general date

See Also:
  - Constant Field Values

### TIME_FORMAT_TYPE_LONG_TIME

static final String TIME_FORMAT_TYPE_LONG_TIME
design constant: time format type long time

See Also:
  - Constant Field Values

### TIME_FORMAT_TYPE_MEDIUM_TIME

static final String TIME_FORMAT_TYPE_MEDIUM_TIME
design constant: time format type medium time

See Also:
  - Constant Field Values

### TIME_FORMAT_TYPE_SHORT_TIME

static final String TIME_FORMAT_TYPE_SHORT_TIME
design constant: time format type short time

See Also:
  - Constant Field Values

### TIME_FORMAT_TYPE_CUSTOM

static final String TIME_FORMAT_TYPE_CUSTOM
design constant: time format type custom

See Also:
  - Constant Field Values

### CHOICE_STRING_FORMAT_TYPE

static final String CHOICE_STRING_FORMAT_TYPE
design constant: choice string format type

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_UNFORMATTED

static final String STRING_FORMAT_TYPE_UNFORMATTED
design constant: string format type unformatted

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_UPPERCASE

static final String STRING_FORMAT_TYPE_UPPERCASE
design constant: string format type uppercase

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_LOWERCASE

static final String STRING_FORMAT_TYPE_LOWERCASE
design constant: string format type lowercase

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_CUSTOM

static final String STRING_FORMAT_TYPE_CUSTOM
design constant: string format type custom

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_ZIP_CODE

static final String STRING_FORMAT_TYPE_ZIP_CODE
design constant: string format type zip code

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_ZIP_CODE_4

static final String STRING_FORMAT_TYPE_ZIP_CODE_4
design constant: string format type zip code 4

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_PHONE_NUMBER

static final String STRING_FORMAT_TYPE_PHONE_NUMBER
design constant: string format type phone number

See Also:
  - Constant Field Values

### STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER

static final String STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER
design constant: string format type social security number

See Also:
  - Constant Field Values

### CHOICE_TARGET_NAMES_TYPE

static final String CHOICE_TARGET_NAMES_TYPE
design constant: choice target names type

See Also:
  - Constant Field Values

### TARGET_NAMES_TYPE_BLANK

static final String TARGET_NAMES_TYPE_BLANK
design constant: target names type blank

See Also:
  - Constant Field Values

### TARGET_NAMES_TYPE_SELF

static final String TARGET_NAMES_TYPE_SELF
design constant: target names type self

See Also:
  - Constant Field Values

### TARGET_NAMES_TYPE_PARENT

static final String TARGET_NAMES_TYPE_PARENT
design constant: target names type parent

See Also:
  - Constant Field Values

### TARGET_NAMES_TYPE_TOP

static final String TARGET_NAMES_TYPE_TOP
design constant: target names type top

See Also:
  - Constant Field Values

### CHOICE_TEMPLATE_ELEMENT_TYPE

static final String CHOICE_TEMPLATE_ELEMENT_TYPE
design constant: choice template element type

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_TABLE

static final String TEMPLATE_ELEMENT_TYPE_TABLE
design constant: template element type table

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_FREEFORM

static final String TEMPLATE_ELEMENT_TYPE_FREEFORM
design constant: template element type freeform

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_DATA

static final String TEMPLATE_ELEMENT_TYPE_DATA
design constant: template element type data

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_GRID

static final String TEMPLATE_ELEMENT_TYPE_GRID
design constant: template element type grid

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_IMAGE

static final String TEMPLATE_ELEMENT_TYPE_IMAGE
design constant: template element type image

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_LABEL

static final String TEMPLATE_ELEMENT_TYPE_LABEL
design constant: template element type label

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_LIST

static final String TEMPLATE_ELEMENT_TYPE_LIST
design constant: template element type list

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_TEXT

static final String TEMPLATE_ELEMENT_TYPE_TEXT
design constant: template element type text

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM

static final String TEMPLATE_ELEMENT_TYPE_EXTENDED_ITEM
design constant: template element type extended item

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_TEXT_DATA

static final String TEMPLATE_ELEMENT_TYPE_TEXT_DATA
design constant: template element type text data

See Also:
  - Constant Field Values

### TEMPLATE_ELEMENT_TYPE_DATA_SET

static final String TEMPLATE_ELEMENT_TYPE_DATA_SET
design constant: template element type data set

See Also:
  - Constant Field Values

### CHOICE_SORT_TYPE

static final String CHOICE_SORT_TYPE
design constant: choice sort type

See Also:
  - Constant Field Values

### SORT_TYPE_NONE

static final String SORT_TYPE_NONE
design constant: sort type none

See Also:
  - Constant Field Values

### SORT_TYPE_SORT_ON_GROUP_KEY

static final String SORT_TYPE_SORT_ON_GROUP_KEY
design constant: sort type sort on group key

See Also:
  - Constant Field Values

### SORT_TYPE_COMPLEX_SORT

static final String SORT_TYPE_COMPLEX_SORT
design constant: sort type complex sort

See Also:
  - Constant Field Values

### CHOICE_JOIN_TYPE

static final String CHOICE_JOIN_TYPE
design constant: choice join type

See Also:
  - Constant Field Values

### JOIN_TYPE_INNER

static final String JOIN_TYPE_INNER
design constant: join type inner

See Also:
  - Constant Field Values

### JOIN_TYPE_LEFT_OUT

static final String JOIN_TYPE_LEFT_OUT
design constant: join type left out

See Also:
  - Constant Field Values

### JOIN_TYPE_RIGHT_OUT

static final String JOIN_TYPE_RIGHT_OUT
design constant: join type right out

See Also:
  - Constant Field Values

### JOIN_TYPE_FULL_OUT

static final String JOIN_TYPE_FULL_OUT
design constant: join type full out

See Also:
  - Constant Field Values

### CHOICE_JOIN_OPERATOR

static final String CHOICE_JOIN_OPERATOR
design constant: choice join operator

See Also:
  - Constant Field Values

### JOIN_OPERATOR_EQALS

static final String JOIN_OPERATOR_EQALS
design constant: join operator eqals

See Also:
  - Constant Field Values

### CHOICE_ACTION_TARGET_FILE_TYPE

static final String CHOICE_ACTION_TARGET_FILE_TYPE
design constant: choice action target file type

See Also:
  - Constant Field Values

### ACTION_TARGET_FILE_TYPE_REPORT_DESIGN

static final String ACTION_TARGET_FILE_TYPE_REPORT_DESIGN
design constant: action target file type report design

See Also:
  - Constant Field Values

### ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT

static final String ACTION_TARGET_FILE_TYPE_REPORT_DOCUMENT
design constant: action target file type report document

See Also:
  - Constant Field Values

### CHOICE_ACTION_BOOKMARK_TYPE

static final String CHOICE_ACTION_BOOKMARK_TYPE
design constant: choice action bookmark type

See Also:
  - Constant Field Values

### ACTION_BOOKMARK_TYPE_BOOKMARK

static final String ACTION_BOOKMARK_TYPE_BOOKMARK
design constant: action bookmark type bookmark

See Also:
  - Constant Field Values

### ACTION_BOOKMARK_TYPE_TOC

static final String ACTION_BOOKMARK_TYPE_TOC
design constant: action bookmark type toc

See Also:
  - Constant Field Values

### CHOICE_AUTO_TEXT_TYPE

static final String CHOICE_AUTO_TEXT_TYPE
design constant: choice auto text type

See Also:
  - Constant Field Values

### AUTO_TEXT_PAGE_NUMBER

static final String AUTO_TEXT_PAGE_NUMBER
design constant: auto text page number

See Also:
  - Constant Field Values

### AUTO_TEXT_TOTAL_PAGE

static final String AUTO_TEXT_TOTAL_PAGE
design constant: auto text total page

See Also:
  - Constant Field Values

### AUTO_TEXT_PAGE_NUMBER_UNFILTERED

static final String AUTO_TEXT_PAGE_NUMBER_UNFILTERED
design constant: auto text page number unfiltered

See Also:
  - Constant Field Values

### AUTO_TEXT_TOTAL_PAGE_UNFILTERED

static final String AUTO_TEXT_TOTAL_PAGE_UNFILTERED
design constant: auto text total page unfiltered

See Also:
  - Constant Field Values

### AUTO_TEXT_PAGE_VARIABLE

static final String AUTO_TEXT_PAGE_VARIABLE
design constant: auto text page variable

See Also:
  - Constant Field Values

### CHOICE_DATA_SET_MODE_TYPE

static final String CHOICE_DATA_SET_MODE_TYPE
design constant: choice data set mode type

See Also:
  - Constant Field Values

### DATA_SET_MODE_SINGLE

static final String DATA_SET_MODE_SINGLE
design constant: data set mode single

See Also:
  - Constant Field Values

### DATA_SET_MODE_MULTIPLE

static final String DATA_SET_MODE_MULTIPLE
design constant: data set mode multiple

See Also:
  - Constant Field Values

### CHOICE_FILTER_TARGET

static final String CHOICE_FILTER_TARGET
design constant: choice filter target

See Also:
  - Constant Field Values

### FILTER_TARGET_DATA_SET

static final String FILTER_TARGET_DATA_SET
design constant: filter target data set

See Also:
  - Constant Field Values

### FILTER_TARGET_RESULT_SET

static final String FILTER_TARGET_RESULT_SET
design constant: filter target result set

See Also:
  - Constant Field Values

### CHOICE_VIEW_ACTION

static final String CHOICE_VIEW_ACTION
design constant: choice view action

See Also:
  - Constant Field Values

### VIEW_ACTION_NO_CHANGE

static final String VIEW_ACTION_NO_CHANGE
design constant: view action no change

See Also:
  - Constant Field Values

### VIEW_ACTION_CHANGED

static final String VIEW_ACTION_CHANGED
design constant: view action changed

See Also:
  - Constant Field Values

### VIEW_ACTION_ADDED

static final String VIEW_ACTION_ADDED
design constant: view action added

See Also:
  - Constant Field Values

### VIEW_ACTION_DELETED

static final String VIEW_ACTION_DELETED
design constant: view action deleted

See Also:
  - Constant Field Values

### CHOICE_AGGREGATION_FUNCTION

static final String CHOICE_AGGREGATION_FUNCTION
design constant: choice aggregation function

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_SUM

static final String AGGREGATION_FUNCTION_SUM
design constant: aggregation function sum

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_COUNT

static final String AGGREGATION_FUNCTION_COUNT
design constant: aggregation function count

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_MIN

static final String AGGREGATION_FUNCTION_MIN
design constant: aggregation function min

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_MAX

static final String AGGREGATION_FUNCTION_MAX
design constant: aggregation function max

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_AVERAGE

static final String AGGREGATION_FUNCTION_AVERAGE
design constant: aggregation function average

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_WEIGHTEDAVG

static final String AGGREGATION_FUNCTION_WEIGHTEDAVG
design constant: aggregation function weightedavg

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_STDDEV

static final String AGGREGATION_FUNCTION_STDDEV
design constant: aggregation function stddev

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_FIRST

static final String AGGREGATION_FUNCTION_FIRST
design constant: aggregation function first

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_LAST

static final String AGGREGATION_FUNCTION_LAST
design constant: aggregation function last

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_MODE

static final String AGGREGATION_FUNCTION_MODE
design constant: aggregation function mode

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_MOVINGAVE

static final String AGGREGATION_FUNCTION_MOVINGAVE
design constant: aggregation function movingave

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_MEDIAN

static final String AGGREGATION_FUNCTION_MEDIAN
design constant: aggregation function median

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_VARIANCE

static final String AGGREGATION_FUNCTION_VARIANCE
design constant: aggregation function variance

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_RUNNINGSUM

static final String AGGREGATION_FUNCTION_RUNNINGSUM
design constant: aggregation function runningsum

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_IRR

static final String AGGREGATION_FUNCTION_IRR
design constant: aggregation function irr

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_MIRR

static final String AGGREGATION_FUNCTION_MIRR
design constant: aggregation function mirr

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_NPV

static final String AGGREGATION_FUNCTION_NPV
design constant: aggregation function npv

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_RUNNINGNPV

static final String AGGREGATION_FUNCTION_RUNNINGNPV
design constant: aggregation function runningnpv

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_COUNTDISTINCT

static final String AGGREGATION_FUNCTION_COUNTDISTINCT
design constant: aggregation function countdistinct

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_RUNNINGCOUNT

static final String AGGREGATION_FUNCTION_RUNNINGCOUNT
design constant: aggregation function runningcount

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_IS_TOP_N

static final String AGGREGATION_FUNCTION_IS_TOP_N
design constant: aggregation function is top n

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_IS_BOTTOM_N

static final String AGGREGATION_FUNCTION_IS_BOTTOM_N
design constant: aggregation function is bottom n

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_IS_TOP_N_PERCENT

static final String AGGREGATION_FUNCTION_IS_TOP_N_PERCENT
design constant: aggregation function is top n percent

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT

static final String AGGREGATION_FUNCTION_IS_BOTTOM_N_PERCENT
design constant: aggregation function is bottom n percent

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_PERCENT_RANK

static final String AGGREGATION_FUNCTION_PERCENT_RANK
design constant: aggregation function percent rank

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_PERCENTILE

static final String AGGREGATION_FUNCTION_PERCENTILE
design constant: aggregation function percentile

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_TOP_QUARTILE

static final String AGGREGATION_FUNCTION_TOP_QUARTILE
design constant: aggregation function top quartile

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_PERCENT_SUM

static final String AGGREGATION_FUNCTION_PERCENT_SUM
design constant: aggregation function percent sum

See Also:
  - Constant Field Values

### AGGREGATION_FUNCTION_RANK

static final String AGGREGATION_FUNCTION_RANK
design constant: aggregation function rank

See Also:
  - Constant Field Values

### CHOICE_MEASURE_FUNCTION

static final String CHOICE_MEASURE_FUNCTION
design constant: choice measure function

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_SUM

static final String MEASURE_FUNCTION_SUM
design constant: measure function sum

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_COUNT

static final String MEASURE_FUNCTION_COUNT
design constant: measure function count

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_MIN

static final String MEASURE_FUNCTION_MIN
design constant: measure function min

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_MAX

static final String MEASURE_FUNCTION_MAX
design constant: measure function max

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_AVERAGE

static final String MEASURE_FUNCTION_AVERAGE
design constant: measure function average

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_WEIGHTEDAVG

static final String MEASURE_FUNCTION_WEIGHTEDAVG
design constant: measure function weightedavg

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_STDDEV

static final String MEASURE_FUNCTION_STDDEV
design constant: measure function stddev

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_FIRST

static final String MEASURE_FUNCTION_FIRST
design constant: measure function first

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_LAST

static final String MEASURE_FUNCTION_LAST
design constant: measure function last

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_MODE

static final String MEASURE_FUNCTION_MODE
design constant: measure function mode

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_MOVINGAVE

static final String MEASURE_FUNCTION_MOVINGAVE
design constant: measure function movingave

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_MEDIAN

static final String MEASURE_FUNCTION_MEDIAN
design constant: measure function median

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_VARIANCE

static final String MEASURE_FUNCTION_VARIANCE
design constant: measure function variance

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_RUNNINGSUM

static final String MEASURE_FUNCTION_RUNNINGSUM
design constant: measure function runningsum

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_IRR

static final String MEASURE_FUNCTION_IRR
design constant: measure function irr

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_MIRR

static final String MEASURE_FUNCTION_MIRR
design constant: measure function mirr

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_NPV

static final String MEASURE_FUNCTION_NPV
design constant: measure function npv

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_RUNNINGNPV

static final String MEASURE_FUNCTION_RUNNINGNPV
design constant: measure function runningnpv

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_COUNTDISTINCT

static final String MEASURE_FUNCTION_COUNTDISTINCT
design constant: measure function countdistinct

See Also:
  - Constant Field Values

### MEASURE_FUNCTION_RUNNINGCOUNT

static final String MEASURE_FUNCTION_RUNNINGCOUNT
design constant: measure function runningcount

See Also:
  - Constant Field Values

### CHOICE_LEVEL_TYPE

static final String CHOICE_LEVEL_TYPE
design constant: choice level type

See Also:
  - Constant Field Values

### LEVEL_TYPE_DYNAMIC

static final String LEVEL_TYPE_DYNAMIC
design constant: level type dynamic

See Also:
  - Constant Field Values

### LEVEL_TYPE_MIRRORED

static final String LEVEL_TYPE_MIRRORED
design constant: level type mirrored

See Also:
  - Constant Field Values

### CHOICE_ACCESS_PERMISSION

static final String CHOICE_ACCESS_PERMISSION
design constant: choice access permission

See Also:
  - Constant Field Values

### ACCESS_PERMISSION_ALLOW

static final String ACCESS_PERMISSION_ALLOW
design constant: access permission allow

See Also:
  - Constant Field Values

### ACCESS_PERMISSION_DISALLOW

static final String ACCESS_PERMISSION_DISALLOW
design constant: access permission disallow

See Also:
  - Constant Field Values

### CHOICE_PARAM_SORT_VALUES

static final String CHOICE_PARAM_SORT_VALUES
design constant: choice param sort values

See Also:
  - Constant Field Values

### PARAM_SORT_VALUES_VALUE

static final String PARAM_SORT_VALUES_VALUE
design constant: param sort values value

See Also:
  - Constant Field Values

### PARAM_SORT_VALUES_LABEL

static final String PARAM_SORT_VALUES_LABEL
design constant: param sort values label

See Also:
  - Constant Field Values

### CHOICE_REPORT_LAYOUT_PREFERENCE

static final String CHOICE_REPORT_LAYOUT_PREFERENCE
design constant: choice report layout preference

See Also:
  - Constant Field Values

### REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT

static final String REPORT_LAYOUT_PREFERENCE_FIXED_LAYOUT
design constant: report layout preference fixed layout

See Also:
  - Constant Field Values

### REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT

static final String REPORT_LAYOUT_PREFERENCE_AUTO_LAYOUT
design constant: report layout preference auto layout

See Also:
  - Constant Field Values

### CHOICE_DATE_TIME_LEVEL_TYPE

static final String CHOICE_DATE_TIME_LEVEL_TYPE
design constant: choice date time level type

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_YEAR

static final String DATE_TIME_LEVEL_TYPE_YEAR
design constant: date time level type year

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_MONTH

static final String DATE_TIME_LEVEL_TYPE_MONTH
design constant: date time level type month

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_QUARTER

static final String DATE_TIME_LEVEL_TYPE_QUARTER
design constant: date time level type quarter

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR

static final String DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR
design constant: date time level type week of year

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK_OF_QUARTER

static final String DATE_TIME_LEVEL_TYPE_WEEK_OF_QUARTER
design constant: date time level type week of quarter

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH

static final String DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH
design constant: date time level type week of month

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR

static final String DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR
design constant: date time level type day of year

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_QUARTER

static final String DATE_TIME_LEVEL_TYPE_DAY_OF_QUARTER
design constant: date time level type day of quarter

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH

static final String DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH
design constant: date time level type day of month

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK

static final String DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK
design constant: date time level type day of week

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_HOUR

static final String DATE_TIME_LEVEL_TYPE_HOUR
design constant: date time level type hour

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_MINUTE

static final String DATE_TIME_LEVEL_TYPE_MINUTE
design constant: date time level type minute

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_SECOND

static final String DATE_TIME_LEVEL_TYPE_SECOND
design constant: date time level type second

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_WEEK

@Deprecated static final String DATE_TIME_LEVEL_TYPE_WEEK
Deprecated.
This is replaced by DATE_TIME_LEVEL_TYPE_WEEK_OF_YEAR and DATE_TIME_LEVEL_TYPE_WEEK_OF_MONTH, and not used anymore.

See Also:
  - Constant Field Values

### DATE_TIME_LEVEL_TYPE_DAY

@Deprecated static final String DATE_TIME_LEVEL_TYPE_DAY
Deprecated.
This is replaced by DATE_TIME_LEVEL_TYPE_DAY_OF_YEAR, DATE_TIME_LEVEL_TYPE_DAY_OF_MONTH and DATE_TIME_LEVEL_TYPE_DAY_OF_WEEK, and not used anymore.

See Also:
  - Constant Field Values

### CHOICE_SCALAR_PARAM_TYPE

static final String CHOICE_SCALAR_PARAM_TYPE
design constant: choice scalar param type

See Also:
  - Constant Field Values

### SCALAR_PARAM_TYPE_SIMPLE

static final String SCALAR_PARAM_TYPE_SIMPLE
design constant: scalar param type simple

See Also:
  - Constant Field Values

### SCALAR_PARAM_TYPE_MULTI_VALUE

static final String SCALAR_PARAM_TYPE_MULTI_VALUE
design constant: scalar param type multi value

See Also:
  - Constant Field Values

### SCALAR_PARAM_TYPE_AD_HOC

static final String SCALAR_PARAM_TYPE_AD_HOC
design constant: scalar param type ad hoc

See Also:
  - Constant Field Values

### CHOICE_BIDI_DIRECTION

static final String CHOICE_BIDI_DIRECTION
design constant: choice bidi direction

See Also:
  - Constant Field Values

### BIDI_DIRECTION_RTL

static final String BIDI_DIRECTION_RTL
design constant: bidi direction rtl

See Also:
  - Constant Field Values

### BIDI_DIRECTION_LTR

static final String BIDI_DIRECTION_LTR
design constant: bidi direction ltr

See Also:
  - Constant Field Values

### CHOICE_SCOPE_TYPE

static final String CHOICE_SCOPE_TYPE
design constant: choice scope type

See Also:
  - Constant Field Values

### SCOPE_TYPE_ROW

static final String SCOPE_TYPE_ROW
design constant: scope type row

See Also:
  - Constant Field Values

### SCOPE_TYPE_COL

static final String SCOPE_TYPE_COL
design constant: scope type col

See Also:
  - Constant Field Values

### SCOPE_TYPE_ROWGROUP

static final String SCOPE_TYPE_ROWGROUP
design constant: scope type rowgroup

See Also:
  - Constant Field Values

### SCOPE_TYPE_COLGROUP

static final String SCOPE_TYPE_COLGROUP
design constant: scope type colgroup

See Also:
  - Constant Field Values

### CHOICE_DYNAMIC_FILTER

static final String CHOICE_DYNAMIC_FILTER
design constant: choice dynamic filter

See Also:
  - Constant Field Values

### DYNAMIC_FILTER_SIMPLE

static final String DYNAMIC_FILTER_SIMPLE
design constant: dynamic filter simple

See Also:
  - Constant Field Values

### DYNAMIC_FILTER_ADVANCED

static final String DYNAMIC_FILTER_ADVANCED
design constant: dynamic filter advanced

See Also:
  - Constant Field Values

### CHOICE_VARIABLE_TYPE

static final String CHOICE_VARIABLE_TYPE
design constant: choice variable type

See Also:
  - Constant Field Values

### VARIABLE_TYPE_REPORT

static final String VARIABLE_TYPE_REPORT
design constant: variable type report

See Also:
  - Constant Field Values

### VARIABLE_TYPE_PAGE

static final String VARIABLE_TYPE_PAGE
design constant: variable type page

See Also:
  - Constant Field Values

### CHOICE_NULL_VALUE_ORDERING_TYPE

static final String CHOICE_NULL_VALUE_ORDERING_TYPE
design constant: choice null value ordering type

See Also:
  - Constant Field Values

### NULL_VALUE_ORDERING_TYPE_UNKNOWN

static final String NULL_VALUE_ORDERING_TYPE_UNKNOWN
design constant: null value ordering type unknown

See Also:
  - Constant Field Values

### NULL_VALUE_ORDERING_TYPE_NULLISFIRST

static final String NULL_VALUE_ORDERING_TYPE_NULLISFIRST
design constant: null value ordering type nullisfirst

See Also:
  - Constant Field Values

### NULL_VALUE_ORDERING_TYPE_NULLISLAST

static final String NULL_VALUE_ORDERING_TYPE_NULLISLAST
design constant: null value ordering type nullislast

See Also:
  - Constant Field Values

### CHOICE_DATA_VERSION

static final String CHOICE_DATA_VERSION
design constant: choice data version

See Also:
  - Constant Field Values

### DATA_VERSION_TRANSIENT

static final String DATA_VERSION_TRANSIENT
design constant: data version transient

See Also:
  - Constant Field Values

### DATA_VERSION_LATEST

static final String DATA_VERSION_LATEST
design constant: data version latest

See Also:
  - Constant Field Values

### CHOICE_DATA_SELECTOR_TYPE

static final String CHOICE_DATA_SELECTOR_TYPE
design constant: choice data selector type

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_LIST

static final String DATA_SELECTOR_TYPE_LIST
design constant: data selector type list

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_DROPDOWN

static final String DATA_SELECTOR_TYPE_DROPDOWN
design constant: data selector type dropdown

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_SLIDER

static final String DATA_SELECTOR_TYPE_SLIDER
design constant: data selector type slider

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_CHECK_BOX

static final String DATA_SELECTOR_TYPE_CHECK_BOX
design constant: data selector type check box

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_RADIO_BUTTON

static final String DATA_SELECTOR_TYPE_RADIO_BUTTON
design constant: data selector type radio button

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_TEXT_BOX

static final String DATA_SELECTOR_TYPE_TEXT_BOX
design constant: data selector type text box

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_CALENDAR

static final String DATA_SELECTOR_TYPE_CALENDAR
design constant: data selector type calendar

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_CURRENT_SELECTIONS

static final String DATA_SELECTOR_TYPE_CURRENT_SELECTIONS
design constant: data selector type current selections

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_LIST_GROUP

static final String DATA_SELECTOR_TYPE_LIST_GROUP
design constant: data selector type list group

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_CHECKBOXTREE_GROUP

static final String DATA_SELECTOR_TYPE_CHECKBOXTREE_GROUP
design constant: data selector type checkboxtree group

See Also:
  - Constant Field Values

### DATA_SELECTOR_TYPE_DROPDOWN_GROUP

static final String DATA_SELECTOR_TYPE_DROPDOWN_GROUP
design constant: data selector type dropdown group

See Also:
  - Constant Field Values

### CHOICE_THUMB_TYPE

static final String CHOICE_THUMB_TYPE
design constant: choice thumb type

See Also:
  - Constant Field Values

### THUMB_TYPE_SINGLE

static final String THUMB_TYPE_SINGLE
design constant: thumb type single

See Also:
  - Constant Field Values

### THUMB_TYPE_DUAL

static final String THUMB_TYPE_DUAL
design constant: thumb type dual

See Also:
  - Constant Field Values

### CHOICE_ACCESS_TYPE

static final String CHOICE_ACCESS_TYPE
design constant: choice access type

See Also:
  - Constant Field Values

### ACCESS_TYPE_TRANSIENT

static final String ACCESS_TYPE_TRANSIENT
design constant: access type transient

See Also:
  - Constant Field Values

### ACCESS_TYPE_SPECIFIC_VERSION

static final String ACCESS_TYPE_SPECIFIC_VERSION
design constant: access type specific version

See Also:
  - Constant Field Values

### ACCESS_TYPE_LATEST

static final String ACCESS_TYPE_LATEST
design constant: access type latest

See Also:
  - Constant Field Values

### CHOICE_OVERFLOW

static final String CHOICE_OVERFLOW
design constant: choice overflow

See Also:
  - Constant Field Values

### OVERFLOW_VISIBLE

static final String OVERFLOW_VISIBLE
design constant: overflow visible

See Also:
  - Constant Field Values

### OVERFLOW_HIDDEN

static final String OVERFLOW_HIDDEN
design constant: overflow hidden

See Also:
  - Constant Field Values

### OVERFLOW_SCROLL

static final String OVERFLOW_SCROLL
design constant: overflow scroll

See Also:
  - Constant Field Values

### OVERFLOW_AUTO

static final String OVERFLOW_AUTO
design constant: overflow auto

See Also:
  - Constant Field Values

### CHOICE_HTML_GADGET_CONTENT_TYPE

@Deprecated static final String CHOICE_HTML_GADGET_CONTENT_TYPE
Deprecated.
Use `CHOICE_GADGET_CONTENT_TYPE` instead.

See Also:
  - Constant Field Values

### HTML_GADGET_CONTENT_TYPE_HTML

@Deprecated static final String HTML_GADGET_CONTENT_TYPE_HTML
Deprecated.
Use `GADGET_CONTENT_TYPE_HTML` instead.

See Also:
  - Constant Field Values

### HTML_GADGET_CONTENT_TYPE_URL

@Deprecated static final String HTML_GADGET_CONTENT_TYPE_URL
Deprecated.
Use `GADGET_CONTENT_TYPE_URL` instead.

See Also:
  - Constant Field Values

### CHOICE_GADGET_CONTENT_TYPE

static final String CHOICE_GADGET_CONTENT_TYPE
design constant: choice gadget content type

See Also:
  - Constant Field Values

### GADGET_CONTENT_TYPE_HTML

static final String GADGET_CONTENT_TYPE_HTML
design constant: gadget content type html

See Also:
  - Constant Field Values

### GADGET_CONTENT_TYPE_URL

static final String GADGET_CONTENT_TYPE_URL
design constant: gadget content type url

See Also:
  - Constant Field Values

### GADGET_CONTENT_TYPE_VIDEO

static final String GADGET_CONTENT_TYPE_VIDEO
design constant: gadget content type video

See Also:
  - Constant Field Values

### GADGET_CONTENT_TYPE_VIDEOURL

static final String GADGET_CONTENT_TYPE_VIDEOURL
design constant: gadget content type videourl

See Also:
  - Constant Field Values

### GADGET_CONTENT_TYPE_TEXT

static final String GADGET_CONTENT_TYPE_TEXT
design constant: gadget content type text

See Also:
  - Constant Field Values

### GADGET_CONTENT_TYPE_IMAGE

static final String GADGET_CONTENT_TYPE_IMAGE
design constant: gadget content type image

See Also:
  - Constant Field Values

### CHOICE_WINDOW_STATUS

static final String CHOICE_WINDOW_STATUS
design constant: choice window status

See Also:
  - Constant Field Values

### WINDOW_STATUS_NORMAL

static final String WINDOW_STATUS_NORMAL
design constant: window status normal

See Also:
  - Constant Field Values

### WINDOW_STATUS_MAXIMIZED

static final String WINDOW_STATUS_MAXIMIZED
design constant: window status maximized

See Also:
  - Constant Field Values

### CHOICE_REPORT_ITEM_THEME_TYPE

static final String CHOICE_REPORT_ITEM_THEME_TYPE
design constant: choice report item theme type

See Also:
  - Constant Field Values

### REPORT_ITEM_THEME_TYPE_TABLE

static final String REPORT_ITEM_THEME_TYPE_TABLE
design constant: report item theme type table

See Also:
  - Constant Field Values

### REPORT_ITEM_THEME_TYPE_LIST

static final String REPORT_ITEM_THEME_TYPE_LIST
design constant: report item theme type list

See Also:
  - Constant Field Values

### REPORT_ITEM_THEME_TYPE_GRID

static final String REPORT_ITEM_THEME_TYPE_GRID
design constant: report item theme type grid

See Also:
  - Constant Field Values

### CHOICE_NULLS_ORDERING

static final String CHOICE_NULLS_ORDERING
design constant: choice nulls ordering

See Also:
  - Constant Field Values

### NULLS_ORDERING_NULLS_LOWEST

static final String NULLS_ORDERING_NULLS_LOWEST
design constant: nulls ordering nulls lowest

See Also:
  - Constant Field Values

### NULLS_ORDERING_NULLS_HIGHEST

static final String NULLS_ORDERING_NULLS_HIGHEST
design constant: nulls ordering nulls highest

See Also:
  - Constant Field Values

### NULLS_ORDERING_EXCLUDE_NULLS

static final String NULLS_ORDERING_EXCLUDE_NULLS
design constant: nulls ordering exclude nulls

See Also:
  - Constant Field Values

### CHOICE_FILTER_CONDITION_TYPE

static final String CHOICE_FILTER_CONDITION_TYPE
design constant: choice filter condition type

See Also:
  - Constant Field Values

### FILTER_CONDITION_TYPE_SLICER

static final String FILTER_CONDITION_TYPE_SLICER
design constant: filter condition type slicer

See Also:
  - Constant Field Values

### FILTER_CONDITION_TYPE_SIMPLE

static final String FILTER_CONDITION_TYPE_SIMPLE
design constant: filter condition type simple

See Also:
  - Constant Field Values

### CHOICE_FLYOUT_POSITION

static final String CHOICE_FLYOUT_POSITION
design constant: choice flyout position

See Also:
  - Constant Field Values

### FLYOUT_POSITION_LEFT

static final String FLYOUT_POSITION_LEFT
design constant: flyout position left

See Also:
  - Constant Field Values

### FLYOUT_POSITION_RIGHT

static final String FLYOUT_POSITION_RIGHT
design constant: flyout position right

See Also:
  - Constant Field Values

### CHOICE_REFERENCE_DATE_TYPE

static final String CHOICE_REFERENCE_DATE_TYPE
design constant: choice reference date type

See Also:
  - Constant Field Values

### REFERENCE_DATE_TYPE_TODAY

static final String REFERENCE_DATE_TYPE_TODAY
design constant: reference date type today

See Also:
  - Constant Field Values

### REFERENCE_DATE_TYPE_FIXED_DATE

static final String REFERENCE_DATE_TYPE_FIXED_DATE
design constant: reference date type fixed date

See Also:
  - Constant Field Values

### REFERENCE_DATE_TYPE_ENDING_DATE_IN_DIMENSION

static final String REFERENCE_DATE_TYPE_ENDING_DATE_IN_DIMENSION
design constant: reference date type ending date in dimension

See Also:
  - Constant Field Values